/* This file was generated by SableCC (http://www.sablecc.org/). */

package de.be4.classicalb.core.parser.lexer;

import java.io.*;
import java.util.*;
import de.be4.classicalb.core.parser.node.*;
import de.hhu.stups.sablecc.patch.*;
import java.util.concurrent.LinkedBlockingQueue;

@SuppressWarnings({"unused"}) 
public class Lexer implements ITokenListContainer
{
    protected Token token;
    protected State state = State.SECTION;

    private PushbackReader in;
    private int line;
    private int pos;
    private boolean cr;
    private boolean eof;
    private final StringBuffer text = new StringBuffer();
    
	private List<IToken> tokenList;
    private final Queue<IToken> nextList = new LinkedBlockingQueue<IToken>();

	private IToken tok;

    public Queue<IToken> getNextList() {
        return nextList;
    }

	public List<IToken> getTokenList() {
		return tokenList;
	}
	
	private void setToken(Token t) {
	  tok = t;
   	  token = t;	
	}
	
	
	public void setTokenList(final List<IToken> list) {
		tokenList = list;
	}

     
    protected void filter() throws LexerException, IOException
    {
        // Do nothing
    }

    protected void filterWrap() throws LexerException, IOException
    {
       filter();
       if (token != null) {
	          getTokenList().add(token); 
              nextList.add(token);
	   }
    }


    public Lexer(  PushbackReader in)
    {
        this.in = in;
    	setTokenList(new ArrayList<IToken>());
    }
    
    public Token peek() throws LexerException, IOException
    {
        while(this.token == null)
        {
            this.setToken(getToken());
            filterWrap();
        }

        return (Token) nextList.peek();
    }

    public Token next() throws LexerException, IOException
    {
        while(this.token == null)
        {
            this.setToken(getToken());
            filterWrap();
        }

        Token result = (Token) nextList.poll();
        this.setToken(null);
        return result;
    }

    protected Token getToken() throws IOException, LexerException
    {
        int dfa_state = 0;

        int start_pos = this.pos;
        int start_line = this.line;

        int accept_state = -1;
        int accept_token = -1;
        int accept_length = -1;
        int accept_pos = -1;
        int accept_line = -1;

          int[][][] gotoTable = Lexer.gotoTable[this.state.id()];
          int[] accept = Lexer.accept[this.state.id()];
        this.text.setLength(0);

        while(true)
        {
            int c = getChar();

            if(c != -1)
            {
                switch(c)
                {
                case 10:
                    if(this.cr)
                    {
                        this.cr = false;
                    }
                    else
                    {
                        this.line++;
                        this.pos = 0;
                    }
                    break;
                case 13:
                    this.line++;
                    this.pos = 0;
                    this.cr = true;
                    break;
                default:
                    this.pos++;
                    this.cr = false;
                    break;
                }

                this.text.append((char) c);

                do
                {
                    int oldState = (dfa_state < -1) ? (-2 -dfa_state) : dfa_state;

                    dfa_state = -1;

                    int[][] tmp1 =  gotoTable[oldState];
                    int low = 0;
                    int high = tmp1.length - 1;

                    while(low <= high)
                    {
                        int middle = (low + high) / 2;
                        int[] tmp2 = tmp1[middle];

                        if(c < tmp2[0])
                        {
                            high = middle - 1;
                        }
                        else if(c > tmp2[1])
                        {
                            low = middle + 1;
                        }
                        else
                        {
                            dfa_state = tmp2[2];
                            break;
                        }
                    }
                }while(dfa_state < -1);
            }
            else
            {
                dfa_state = -1;
            }

            if(dfa_state >= 0)
            {
                if(accept[dfa_state] != -1)
                {
                    accept_state = dfa_state;
                    accept_token = accept[dfa_state];
                    accept_length = this.text.length();
                    accept_pos = this.pos;
                    accept_line = this.line;
                }
            }
            else
            {
                if(accept_state != -1)
                {
                    switch(accept_token)
                    {
                    case 0:
                        {
                              Token token = new0(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.SHEBANG; break;
                                case 0: state = State.SHEBANG; break;
                                case 2: state = State.SHEBANG; break;
                            }
                            return token;
                        }
                    case 1:
                        {
                              Token token = new1(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 2:
                        {
                              Token token = new2(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.SHEBANG; break;
                            }
                            return token;
                        }
                    case 3:
                        {
                              Token token = new3(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.SECTION; break;
                            }
                            return token;
                        }
                    case 4:
                        {
                              Token token = new4(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.PRAGMA; break;
                                case 0: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 5:
                        {
                              Token token = new5(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.NORMAL; break;
                                case 6: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 6:
                        {
                              Token token = new6(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 7:
                        {
                              Token token = new7(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 8:
                        {
                              Token token = new8(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 9:
                        {
                              Token token = new9(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 10:
                        {
                              Token token = new10(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 11:
                        {
                              Token token = new11(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 12:
                        {
                              Token token = new12(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 13:
                        {
                              Token token = new13(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 14:
                        {
                              Token token = new14(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 15:
                        {
                              Token token = new15(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 16:
                        {
                              Token token = new16(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 17:
                        {
                              Token token = new17(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 18:
                        {
                              Token token = new18(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 6: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 19:
                        {
                              Token token = new19(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 6: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 20:
                        {
                              Token token = new20(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.COMMENT; break;
                                case 0: state = State.COMMENT; break;
                            }
                            return token;
                        }
                    case 21:
                        {
                              Token token = new21(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 3: state = State.COMMENT; break;
                                case 5: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 22:
                        {
                              Token token = new22(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 3: state = State.COMMENT; break;
                            }
                            return token;
                        }
                    case 23:
                        {
                              Token token = new23(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 3: state = State.COMMENT; break;
                                case 5: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 24:
                        {
                              Token token = new24(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 3: state = State.COMMENT; break;
                                case 5: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 25:
                        {
                              Token token = new25(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 26:
                        {
                              Token token = new26(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 27:
                        {
                              Token token = new27(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 28:
                        {
                              Token token = new28(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 29:
                        {
                              Token token = new29(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 30:
                        {
                              Token token = new30(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 31:
                        {
                              Token token = new31(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 32:
                        {
                              Token token = new32(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 33:
                        {
                              Token token = new33(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 34:
                        {
                              Token token = new34(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 35:
                        {
                              Token token = new35(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 36:
                        {
                              Token token = new36(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 37:
                        {
                              Token token = new37(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 38:
                        {
                              Token token = new38(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 39:
                        {
                              Token token = new39(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 40:
                        {
                              Token token = new40(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 41:
                        {
                              Token token = new41(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 42:
                        {
                              Token token = new42(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 43:
                        {
                              Token token = new43(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 44:
                        {
                              Token token = new44(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 45:
                        {
                              Token token = new45(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 46:
                        {
                              Token token = new46(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 47:
                        {
                              Token token = new47(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 48:
                        {
                              Token token = new48(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 49:
                        {
                              Token token = new49(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 50:
                        {
                              Token token = new50(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 51:
                        {
                              Token token = new51(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 52:
                        {
                              Token token = new52(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 53:
                        {
                              Token token = new53(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 54:
                        {
                              Token token = new54(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 55:
                        {
                              Token token = new55(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 56:
                        {
                              Token token = new56(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 57:
                        {
                              Token token = new57(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 58:
                        {
                              Token token = new58(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 59:
                        {
                              Token token = new59(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 60:
                        {
                              Token token = new60(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 61:
                        {
                              Token token = new61(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 62:
                        {
                              Token token = new62(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 63:
                        {
                              Token token = new63(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 64:
                        {
                              Token token = new64(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 65:
                        {
                              Token token = new65(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 66:
                        {
                              Token token = new66(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 67:
                        {
                              Token token = new67(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 68:
                        {
                              Token token = new68(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 69:
                        {
                              Token token = new69(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 70:
                        {
                              Token token = new70(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 71:
                        {
                              Token token = new71(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 72:
                        {
                              Token token = new72(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 73:
                        {
                              Token token = new73(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 74:
                        {
                              Token token = new74(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 75:
                        {
                              Token token = new75(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 76:
                        {
                              Token token = new76(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 77:
                        {
                              Token token = new77(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 78:
                        {
                              Token token = new78(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 79:
                        {
                              Token token = new79(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 80:
                        {
                              Token token = new80(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 81:
                        {
                              Token token = new81(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 82:
                        {
                              Token token = new82(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 83:
                        {
                              Token token = new83(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 84:
                        {
                              Token token = new84(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 85:
                        {
                              Token token = new85(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 86:
                        {
                              Token token = new86(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 87:
                        {
                              Token token = new87(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 88:
                        {
                              Token token = new88(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 89:
                        {
                              Token token = new89(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 90:
                        {
                              Token token = new90(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 91:
                        {
                              Token token = new91(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 92:
                        {
                              Token token = new92(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 93:
                        {
                              Token token = new93(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 94:
                        {
                              Token token = new94(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 95:
                        {
                              Token token = new95(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 96:
                        {
                              Token token = new96(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 97:
                        {
                              Token token = new97(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 98:
                        {
                              Token token = new98(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 99:
                        {
                              Token token = new99(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 100:
                        {
                              Token token = new100(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 101:
                        {
                              Token token = new101(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 102:
                        {
                              Token token = new102(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 103:
                        {
                              Token token = new103(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 104:
                        {
                              Token token = new104(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 105:
                        {
                              Token token = new105(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 106:
                        {
                              Token token = new106(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 107:
                        {
                              Token token = new107(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 108:
                        {
                              Token token = new108(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 109:
                        {
                              Token token = new109(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 110:
                        {
                              Token token = new110(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 111:
                        {
                              Token token = new111(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 112:
                        {
                              Token token = new112(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 113:
                        {
                              Token token = new113(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 114:
                        {
                              Token token = new114(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 115:
                        {
                              Token token = new115(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 116:
                        {
                              Token token = new116(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 117:
                        {
                              Token token = new117(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 118:
                        {
                              Token token = new118(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 119:
                        {
                              Token token = new119(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 120:
                        {
                              Token token = new120(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 121:
                        {
                              Token token = new121(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 122:
                        {
                              Token token = new122(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 123:
                        {
                              Token token = new123(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 124:
                        {
                              Token token = new124(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 125:
                        {
                              Token token = new125(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 126:
                        {
                              Token token = new126(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 127:
                        {
                              Token token = new127(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 128:
                        {
                              Token token = new128(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 129:
                        {
                              Token token = new129(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 130:
                        {
                              Token token = new130(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 131:
                        {
                              Token token = new131(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 132:
                        {
                              Token token = new132(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 133:
                        {
                              Token token = new133(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 134:
                        {
                              Token token = new134(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 135:
                        {
                              Token token = new135(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 136:
                        {
                              Token token = new136(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 137:
                        {
                              Token token = new137(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 138:
                        {
                              Token token = new138(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 139:
                        {
                              Token token = new139(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 140:
                        {
                              Token token = new140(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 141:
                        {
                              Token token = new141(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 142:
                        {
                              Token token = new142(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 143:
                        {
                              Token token = new143(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 144:
                        {
                              Token token = new144(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 145:
                        {
                              Token token = new145(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 146:
                        {
                              Token token = new146(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 147:
                        {
                              Token token = new147(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 148:
                        {
                              Token token = new148(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 149:
                        {
                              Token token = new149(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 150:
                        {
                              Token token = new150(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 151:
                        {
                              Token token = new151(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 152:
                        {
                              Token token = new152(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 153:
                        {
                              Token token = new153(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 154:
                        {
                              Token token = new154(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 155:
                        {
                              Token token = new155(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 156:
                        {
                              Token token = new156(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 157:
                        {
                              Token token = new157(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 158:
                        {
                              Token token = new158(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 159:
                        {
                              Token token = new159(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 160:
                        {
                              Token token = new160(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 161:
                        {
                              Token token = new161(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 162:
                        {
                              Token token = new162(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 163:
                        {
                              Token token = new163(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 164:
                        {
                              Token token = new164(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 165:
                        {
                              Token token = new165(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 166:
                        {
                              Token token = new166(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 167:
                        {
                              Token token = new167(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 168:
                        {
                              Token token = new168(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 169:
                        {
                              Token token = new169(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 170:
                        {
                              Token token = new170(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 171:
                        {
                              Token token = new171(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 172:
                        {
                              Token token = new172(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 173:
                        {
                              Token token = new173(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 174:
                        {
                              Token token = new174(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 175:
                        {
                              Token token = new175(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 176:
                        {
                              Token token = new176(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 177:
                        {
                              Token token = new177(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 178:
                        {
                              Token token = new178(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 179:
                        {
                              Token token = new179(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 180:
                        {
                              Token token = new180(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 181:
                        {
                              Token token = new181(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 182:
                        {
                              Token token = new182(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 183:
                        {
                              Token token = new183(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 184:
                        {
                              Token token = new184(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 185:
                        {
                              Token token = new185(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 186:
                        {
                              Token token = new186(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 187:
                        {
                              Token token = new187(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 188:
                        {
                              Token token = new188(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 189:
                        {
                              Token token = new189(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 190:
                        {
                              Token token = new190(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 191:
                        {
                              Token token = new191(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 192:
                        {
                              Token token = new192(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 193:
                        {
                              Token token = new193(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 194:
                        {
                              Token token = new194(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 195:
                        {
                              Token token = new195(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 196:
                        {
                              Token token = new196(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 197:
                        {
                              Token token = new197(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 198:
                        {
                              Token token = new198(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 199:
                        {
                              Token token = new199(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 200:
                        {
                              Token token = new200(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 201:
                        {
                              Token token = new201(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 202:
                        {
                              Token token = new202(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 203:
                        {
                              Token token = new203(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 204:
                        {
                              Token token = new204(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 205:
                        {
                              Token token = new205(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 206:
                        {
                              Token token = new206(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 207:
                        {
                              Token token = new207(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 208:
                        {
                              Token token = new208(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 209:
                        {
                              Token token = new209(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 210:
                        {
                              Token token = new210(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 211:
                        {
                              Token token = new211(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 212:
                        {
                              Token token = new212(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 213:
                        {
                              Token token = new213(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 214:
                        {
                              Token token = new214(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 215:
                        {
                              Token token = new215(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 216:
                        {
                              Token token = new216(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 217:
                        {
                              Token token = new217(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 218:
                        {
                              Token token = new218(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 219:
                        {
                              Token token = new219(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 220:
                        {
                              Token token = new220(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 221:
                        {
                              Token token = new221(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 222:
                        {
                              Token token = new222(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 223:
                        {
                              Token token = new223(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 224:
                        {
                              Token token = new224(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 225:
                        {
                              Token token = new225(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 226:
                        {
                              Token token = new226(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 227:
                        {
                              Token token = new227(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 228:
                        {
                              Token token = new228(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 229:
                        {
                              Token token = new229(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 230:
                        {
                              Token token = new230(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 231:
                        {
                              Token token = new231(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 232:
                        {
                              Token token = new232(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 233:
                        {
                              Token token = new233(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 234:
                        {
                              Token token = new234(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 235:
                        {
                              Token token = new235(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 236:
                        {
                              Token token = new236(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 237:
                        {
                              Token token = new237(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 238:
                        {
                              Token token = new238(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 239:
                        {
                              Token token = new239(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 240:
                        {
                              Token token = new240(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 241:
                        {
                              Token token = new241(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 242:
                        {
                              Token token = new242(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 243:
                        {
                              Token token = new243(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 244:
                        {
                              Token token = new244(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 245:
                        {
                              Token token = new245(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 246:
                        {
                              Token token = new246(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 247:
                        {
                              Token token = new247(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 248:
                        {
                              Token token = new248(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 249:
                        {
                              Token token = new249(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 250:
                        {
                              Token token = new250(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 251:
                        {
                              Token token = new251(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 252:
                        {
                              Token token = new252(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 253:
                        {
                              Token token = new253(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 254:
                        {
                              Token token = new254(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 255:
                        {
                              Token token = new255(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 256:
                        {
                              Token token = new256(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 257:
                        {
                              Token token = new257(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 258:
                        {
                              Token token = new258(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 259:
                        {
                              Token token = new259(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 260:
                        {
                              Token token = new260(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 261:
                        {
                              Token token = new261(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 262:
                        {
                              Token token = new262(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 263:
                        {
                              Token token = new263(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 264:
                        {
                              Token token = new264(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 265:
                        {
                              Token token = new265(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 266:
                        {
                              Token token = new266(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 267:
                        {
                              Token token = new267(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 268:
                        {
                              Token token = new268(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 269:
                        {
                              Token token = new269(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 270:
                        {
                              Token token = new270(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 271:
                        {
                              Token token = new271(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 272:
                        {
                              Token token = new272(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    }
                }
                else
                {
                    if(this.text.length() > 0)
                    {
                        throw new LexerException(
                            "[" + (start_line + 1) + "," + (start_pos + 1) + "]" +
                            " Unknown token: " + this.text);
                    }

                      EOF token = new EOF(
                        start_line + 1,
                        start_pos + 1);
                    return token;
                }
            }
        }
    }

    Token new0(  int line,   int pos) { return new TShebang(line, pos); }
    Token new1(  String text,   int line,   int pos) { return new TShebangEnd(text, line, pos); }
    Token new2(  String text,   int line,   int pos) { return new TShebangChar(text, line, pos); }
    Token new3(  String text,   int line,   int pos) { return new TLineComment(text, line, pos); }
    Token new4(  int line,   int pos) { return new TPragmaStart(line, pos); }
    Token new5(  int line,   int pos) { return new TPragmaEnd(line, pos); }
    Token new6(  int line,   int pos) { return new TPragmaUnit(line, pos); }
    Token new7(  int line,   int pos) { return new TNewPragmaUnit(line, pos); }
    Token new8(  int line,   int pos) { return new TIpragmaUnit(line, pos); }
    Token new9(  int line,   int pos) { return new TPragmaUnitAlias(line, pos); }
    Token new10(  int line,   int pos) { return new TPragmaGenerated(line, pos); }
    Token new11(  int line,   int pos) { return new TPragmaSymbolic(line, pos); }
    Token new12(  int line,   int pos) { return new TPragmaLabel(line, pos); }
    Token new13(  int line,   int pos) { return new TPragmaFile(line, pos); }
    Token new14(  String text,   int line,   int pos) { return new TPragmaDescription(text, line, pos); }
    Token new15(  int line,   int pos) { return new TPragmaConversion(line, pos); }
    Token new16(  String text,   int line,   int pos) { return new TPragmaIdOrString(text, line, pos); }
    Token new17(  String text,   int line,   int pos) { return new TPragmaFreeText(text, line, pos); }
    Token new18(  String text,   int line,   int pos) { return new TUnitContent(text, line, pos); }
    Token new19(  String text,   int line,   int pos) { return new TUnitId(text, line, pos); }
    Token new20(  String text,   int line,   int pos) { return new TComment(text, line, pos); }
    Token new21(  String text,   int line,   int pos) { return new TCommentEnd(text, line, pos); }
    Token new22(  String text,   int line,   int pos) { return new TCommentBody(text, line, pos); }
    Token new23(  int line,   int pos) { return new TStar(line, pos); }
    Token new24(  int line,   int pos) { return new TSlash(line, pos); }
    Token new25(  String text,   int line,   int pos) { return new TStringLiteral(text, line, pos); }
    Token new26(  String text,   int line,   int pos) { return new TForAny(text, line, pos); }
    Token new27(  String text,   int line,   int pos) { return new TExists(text, line, pos); }
    Token new28(  int line,   int pos) { return new TDollar(line, pos); }
    Token new29(  String text,   int line,   int pos) { return new TLambda(text, line, pos); }
    Token new30(  String text,   int line,   int pos) { return new TConjunction(text, line, pos); }
    Token new31(  String text,   int line,   int pos) { return new TSingleQuotation(text, line, pos); }
    Token new32(  int line,   int pos) { return new TLeftPar(line, pos); }
    Token new33(  int line,   int pos) { return new TRightPar(line, pos); }
    Token new34(  String text,   int line,   int pos) { return new TProduct(text, line, pos); }
    Token new35(  int line,   int pos) { return new TPowerOf(line, pos); }
    Token new36(  String text,   int line,   int pos) { return new TPlus(text, line, pos); }
    Token new37(  String text,   int line,   int pos) { return new TPartialFunction(text, line, pos); }
    Token new38(  String text,   int line,   int pos) { return new TPartialSurjection(text, line, pos); }
    Token new39(  int line,   int pos) { return new TComma(line, pos); }
    Token new40(  String text,   int line,   int pos) { return new TMinus(text, line, pos); }
    Token new41(  String text,   int line,   int pos) { return new TTotalFunction(text, line, pos); }
    Token new42(  String text,   int line,   int pos) { return new TTotalSurjection(text, line, pos); }
    Token new43(  String text,   int line,   int pos) { return new TInsertStartSequence(text, line, pos); }
    Token new44(  int line,   int pos) { return new TDot(line, pos); }
    Token new45(  String text,   int line,   int pos) { return new TInterval(text, line, pos); }
    Token new46(  String text,   int line,   int pos) { return new TDivision(text, line, pos); }
    Token new47(  String text,   int line,   int pos) { return new TNotBelonging(text, line, pos); }
    Token new48(  String text,   int line,   int pos) { return new TNonInclusion(text, line, pos); }
    Token new49(  String text,   int line,   int pos) { return new TStrictNonInclusion(text, line, pos); }
    Token new50(  String text,   int line,   int pos) { return new TNotEqual(text, line, pos); }
    Token new51(  int line,   int pos) { return new TSetSubtraction(line, pos); }
    Token new52(  String text,   int line,   int pos) { return new TIntersection(text, line, pos); }
    Token new53(  String text,   int line,   int pos) { return new TRestrictHeadSequence(text, line, pos); }
    Token new54(  String text,   int line,   int pos) { return new TElementOf(text, line, pos); }
    Token new55(  String text,   int line,   int pos) { return new TDoubleColon(text, line, pos); }
    Token new56(  String text,   int line,   int pos) { return new TAssign(text, line, pos); }
    Token new57(  int line,   int pos) { return new TSemicolon(line, pos); }
    Token new58(  String text,   int line,   int pos) { return new TLess(text, line, pos); }
    Token new59(  String text,   int line,   int pos) { return new TOverwriteRelation(text, line, pos); }
    Token new60(  String text,   int line,   int pos) { return new TSetRelation(text, line, pos); }
    Token new61(  String text,   int line,   int pos) { return new TInsertEndSequence(text, line, pos); }
    Token new62(  String text,   int line,   int pos) { return new TOutputParameters(text, line, pos); }
    Token new63(  String text,   int line,   int pos) { return new TInclusion(text, line, pos); }
    Token new64(  String text,   int line,   int pos) { return new TStrictInclusion(text, line, pos); }
    Token new65(  String text,   int line,   int pos) { return new TDomainSubtraction(text, line, pos); }
    Token new66(  String text,   int line,   int pos) { return new TLessEqual(text, line, pos); }
    Token new67(  String text,   int line,   int pos) { return new TEquivalence(text, line, pos); }
    Token new68(  String text,   int line,   int pos) { return new TDomainRestriction(text, line, pos); }
    Token new69(  String text,   int line,   int pos) { return new TEqual(text, line, pos); }
    Token new70(  String text,   int line,   int pos) { return new TDoubleEqual(text, line, pos); }
    Token new71(  String text,   int line,   int pos) { return new TImplies(text, line, pos); }
    Token new72(  String text,   int line,   int pos) { return new TGreater(text, line, pos); }
    Token new73(  String text,   int line,   int pos) { return new TPartialInjection(text, line, pos); }
    Token new74(  String text,   int line,   int pos) { return new TTotalInjection(text, line, pos); }
    Token new75(  String text,   int line,   int pos) { return new TPartialBijection(text, line, pos); }
    Token new76(  String text,   int line,   int pos) { return new TTotalBijection(text, line, pos); }
    Token new77(  String text,   int line,   int pos) { return new TDirectProduct(text, line, pos); }
    Token new78(  String text,   int line,   int pos) { return new TGreaterEqual(text, line, pos); }
    Token new79(  int line,   int pos) { return new TAbstractConstants(line, pos); }
    Token new80(  int line,   int pos) { return new TAbstractVariables(line, pos); }
    Token new81(  int line,   int pos) { return new TAny(line, pos); }
    Token new82(  int line,   int pos) { return new TAssert(line, pos); }
    Token new83(  int line,   int pos) { return new TAssertions(line, pos); }
    Token new84(  int line,   int pos) { return new TBe(line, pos); }
    Token new85(  int line,   int pos) { return new TBegin(line, pos); }
    Token new86(  int line,   int pos) { return new TBool(line, pos); }
    Token new87(  int line,   int pos) { return new TBfalse(line, pos); }
    Token new88(  int line,   int pos) { return new TCase(line, pos); }
    Token new89(  int line,   int pos) { return new TChoice(line, pos); }
    Token new90(  int line,   int pos) { return new TConcreteConstants(line, pos); }
    Token new91(  int line,   int pos) { return new TConcreteVariables(line, pos); }
    Token new92(  int line,   int pos) { return new TConstants(line, pos); }
    Token new93(  int line,   int pos) { return new TConstraints(line, pos); }
    Token new94(  int line,   int pos) { return new TDefinitions(line, pos); }
    Token new95(  int line,   int pos) { return new TDo(line, pos); }
    Token new96(  int line,   int pos) { return new TEither(line, pos); }
    Token new97(  int line,   int pos) { return new TElse(line, pos); }
    Token new98(  int line,   int pos) { return new TElsif(line, pos); }
    Token new99(  int line,   int pos) { return new TEnd(line, pos); }
    Token new100(  int line,   int pos) { return new TExtends(line, pos); }
    Token new101(  String text,   int line,   int pos) { return new TFalse(text, line, pos); }
    Token new102(  int line,   int pos) { return new TFin(line, pos); }
    Token new103(  int line,   int pos) { return new TFin1(line, pos); }
    Token new104(  int line,   int pos) { return new TIf(line, pos); }
    Token new105(  int line,   int pos) { return new TImplementation(line, pos); }
    Token new106(  int line,   int pos) { return new TImports(line, pos); }
    Token new107(  int line,   int pos) { return new TIn(line, pos); }
    Token new108(  int line,   int pos) { return new TIncludes(line, pos); }
    Token new109(  String text,   int line,   int pos) { return new TInitialisation(text, line, pos); }
    Token new110(  int line,   int pos) { return new TInt(line, pos); }
    Token new111(  String text,   int line,   int pos) { return new TInteger(text, line, pos); }
    Token new112(  String text,   int line,   int pos) { return new TQuantifiedInter(text, line, pos); }
    Token new113(  int line,   int pos) { return new TInvariant(line, pos); }
    Token new114(  int line,   int pos) { return new TLet(line, pos); }
    Token new115(  int line,   int pos) { return new TLocalOperations(line, pos); }
    Token new116(  int line,   int pos) { return new TMachine(line, pos); }
    Token new117(  int line,   int pos) { return new TModel(line, pos); }
    Token new118(  int line,   int pos) { return new TSystem(line, pos); }
    Token new119(  int line,   int pos) { return new TMaxInt(line, pos); }
    Token new120(  int line,   int pos) { return new TMinInt(line, pos); }
    Token new121(  int line,   int pos) { return new TNat(line, pos); }
    Token new122(  int line,   int pos) { return new TNat1(line, pos); }
    Token new123(  String text,   int line,   int pos) { return new TNatural(text, line, pos); }
    Token new124(  String text,   int line,   int pos) { return new TNatural1(text, line, pos); }
    Token new125(  int line,   int pos) { return new TOf(line, pos); }
    Token new126(  String text,   int line,   int pos) { return new TOperations(text, line, pos); }
    Token new127(  int line,   int pos) { return new TOr(line, pos); }
    Token new128(  String text,   int line,   int pos) { return new TPi(text, line, pos); }
    Token new129(  String text,   int line,   int pos) { return new TPow(text, line, pos); }
    Token new130(  String text,   int line,   int pos) { return new TPow1(text, line, pos); }
    Token new131(  int line,   int pos) { return new TPre(line, pos); }
    Token new132(  int line,   int pos) { return new TPromotes(line, pos); }
    Token new133(  int line,   int pos) { return new TProperties(line, pos); }
    Token new134(  int line,   int pos) { return new TRefines(line, pos); }
    Token new135(  int line,   int pos) { return new TRefinement(line, pos); }
    Token new136(  int line,   int pos) { return new TSees(line, pos); }
    Token new137(  int line,   int pos) { return new TSelect(line, pos); }
    Token new138(  int line,   int pos) { return new TSets(line, pos); }
    Token new139(  int line,   int pos) { return new TQuantifiedSet(line, pos); }
    Token new140(  String text,   int line,   int pos) { return new TSigma(text, line, pos); }
    Token new141(  int line,   int pos) { return new TString(line, pos); }
    Token new142(  int line,   int pos) { return new TThen(line, pos); }
    Token new143(  String text,   int line,   int pos) { return new TTrue(text, line, pos); }
    Token new144(  String text,   int line,   int pos) { return new TQuantifiedUnion(text, line, pos); }
    Token new145(  int line,   int pos) { return new TUses(line, pos); }
    Token new146(  int line,   int pos) { return new TValue(line, pos); }
    Token new147(  int line,   int pos) { return new TVar(line, pos); }
    Token new148(  int line,   int pos) { return new TVariant(line, pos); }
    Token new149(  int line,   int pos) { return new TVariables(line, pos); }
    Token new150(  int line,   int pos) { return new TWhen(line, pos); }
    Token new151(  int line,   int pos) { return new TWhere(line, pos); }
    Token new152(  int line,   int pos) { return new TWhile(line, pos); }
    Token new153(  int line,   int pos) { return new TLeftBracket(line, pos); }
    Token new154(  int line,   int pos) { return new TRightBracket(line, pos); }
    Token new155(  String text,   int line,   int pos) { return new TUnion(text, line, pos); }
    Token new156(  String text,   int line,   int pos) { return new TRestrictTailSequence(text, line, pos); }
    Token new157(  String text,   int line,   int pos) { return new TConcatSequence(text, line, pos); }
    Token new158(  int line,   int pos) { return new TArity(line, pos); }
    Token new159(  int line,   int pos) { return new TBin(line, pos); }
    Token new160(  int line,   int pos) { return new TBoolCast(line, pos); }
    Token new161(  int line,   int pos) { return new TBtree(line, pos); }
    Token new162(  int line,   int pos) { return new TCard(line, pos); }
    Token new163(  int line,   int pos) { return new TClosure(line, pos); }
    Token new164(  int line,   int pos) { return new TClosure1(line, pos); }
    Token new165(  int line,   int pos) { return new TConc(line, pos); }
    Token new166(  int line,   int pos) { return new TConst(line, pos); }
    Token new167(  int line,   int pos) { return new TDom(line, pos); }
    Token new168(  int line,   int pos) { return new TFather(line, pos); }
    Token new169(  int line,   int pos) { return new TFirst(line, pos); }
    Token new170(  int line,   int pos) { return new TFnc(line, pos); }
    Token new171(  int line,   int pos) { return new TFront(line, pos); }
    Token new172(  int line,   int pos) { return new TId(line, pos); }
    Token new173(  int line,   int pos) { return new TInfix(line, pos); }
    Token new174(  int line,   int pos) { return new TGeneralizedInter(line, pos); }
    Token new175(  int line,   int pos) { return new TIseq(line, pos); }
    Token new176(  int line,   int pos) { return new TIseq1(line, pos); }
    Token new177(  int line,   int pos) { return new TIterate(line, pos); }
    Token new178(  int line,   int pos) { return new TLast(line, pos); }
    Token new179(  int line,   int pos) { return new TLeft(line, pos); }
    Token new180(  int line,   int pos) { return new TMax(line, pos); }
    Token new181(  int line,   int pos) { return new TMin(line, pos); }
    Token new182(  int line,   int pos) { return new TMirror(line, pos); }
    Token new183(  int line,   int pos) { return new TMod(line, pos); }
    Token new184(  String text,   int line,   int pos) { return new TNot(text, line, pos); }
    Token new185(  String text,   int line,   int pos) { return new TLogicalOr(text, line, pos); }
    Token new186(  int line,   int pos) { return new TPerm(line, pos); }
    Token new187(  int line,   int pos) { return new TPostfix(line, pos); }
    Token new188(  int line,   int pos) { return new TPred(line, pos); }
    Token new189(  int line,   int pos) { return new TPrefix(line, pos); }
    Token new190(  int line,   int pos) { return new TPrj1(line, pos); }
    Token new191(  int line,   int pos) { return new TPrj2(line, pos); }
    Token new192(  int line,   int pos) { return new TRank(line, pos); }
    Token new193(  int line,   int pos) { return new TRan(line, pos); }
    Token new194(  int line,   int pos) { return new TRec(line, pos); }
    Token new195(  int line,   int pos) { return new TRel(line, pos); }
    Token new196(  int line,   int pos) { return new TRev(line, pos); }
    Token new197(  int line,   int pos) { return new TRight(line, pos); }
    Token new198(  int line,   int pos) { return new TSeq(line, pos); }
    Token new199(  int line,   int pos) { return new TSeq1(line, pos); }
    Token new200(  int line,   int pos) { return new TSizet(line, pos); }
    Token new201(  int line,   int pos) { return new TSize(line, pos); }
    Token new202(  int line,   int pos) { return new TSkip(line, pos); }
    Token new203(  int line,   int pos) { return new TSons(line, pos); }
    Token new204(  int line,   int pos) { return new TSon(line, pos); }
    Token new205(  int line,   int pos) { return new TStruct(line, pos); }
    Token new206(  int line,   int pos) { return new TSubtree(line, pos); }
    Token new207(  int line,   int pos) { return new TSucc(line, pos); }
    Token new208(  int line,   int pos) { return new TTail(line, pos); }
    Token new209(  int line,   int pos) { return new TTop(line, pos); }
    Token new210(  int line,   int pos) { return new TTree(line, pos); }
    Token new211(  int line,   int pos) { return new TGeneralizedUnion(line, pos); }
    Token new212(  String text,   int line,   int pos) { return new TEmptySet(text, line, pos); }
    Token new213(  int line,   int pos) { return new TLeftBrace(line, pos); }
    Token new214(  int line,   int pos) { return new TRightBrace(line, pos); }
    Token new215(  int line,   int pos) { return new TVerticalBar(line, pos); }
    Token new216(  String text,   int line,   int pos) { return new TDoubleVerticalBar(text, line, pos); }
    Token new217(  String text,   int line,   int pos) { return new TMaplet(text, line, pos); }
    Token new218(  String text,   int line,   int pos) { return new TRangeRestriction(text, line, pos); }
    Token new219(  String text,   int line,   int pos) { return new TRangeSubtraction(text, line, pos); }
    Token new220(  String text,   int line,   int pos) { return new TTilde(text, line, pos); }
    Token new221(  String text,   int line,   int pos) { return new TTotalRelation(text, line, pos); }
    Token new222(  String text,   int line,   int pos) { return new TSurjectionRelation(text, line, pos); }
    Token new223(  String text,   int line,   int pos) { return new TTotalSurjectionRelation(text, line, pos); }
    Token new224(  int line,   int pos) { return new TKwFreetypes(line, pos); }
    Token new225(  int line,   int pos) { return new TKwExpression(line, pos); }
    Token new226(  int line,   int pos) { return new TKwPredicate(line, pos); }
    Token new227(  int line,   int pos) { return new TKwFormula(line, pos); }
    Token new228(  int line,   int pos) { return new TKwSubstitution(line, pos); }
    Token new229(  int line,   int pos) { return new TKwAbstractConstants(line, pos); }
    Token new230(  int line,   int pos) { return new TKwAbstractVariables(line, pos); }
    Token new231(  int line,   int pos) { return new TKwAssertions(line, pos); }
    Token new232(  int line,   int pos) { return new TKwConcreteConstants(line, pos); }
    Token new233(  int line,   int pos) { return new TKwConcreteVariables(line, pos); }
    Token new234(  int line,   int pos) { return new TKwConstants(line, pos); }
    Token new235(  int line,   int pos) { return new TKwConstraints(line, pos); }
    Token new236(  int line,   int pos) { return new TKwDefinitions(line, pos); }
    Token new237(  int line,   int pos) { return new TKwDefinition(line, pos); }
    Token new238(  int line,   int pos) { return new TKwExtends(line, pos); }
    Token new239(  int line,   int pos) { return new TKwImports(line, pos); }
    Token new240(  int line,   int pos) { return new TKwIncludes(line, pos); }
    Token new241(  int line,   int pos) { return new TKwInitialisation(line, pos); }
    Token new242(  int line,   int pos) { return new TKwInvariant(line, pos); }
    Token new243(  int line,   int pos) { return new TKwLocalOperations(line, pos); }
    Token new244(  int line,   int pos) { return new TKwOperations(line, pos); }
    Token new245(  int line,   int pos) { return new TKwPromotes(line, pos); }
    Token new246(  int line,   int pos) { return new TKwProperties(line, pos); }
    Token new247(  int line,   int pos) { return new TKwSees(line, pos); }
    Token new248(  int line,   int pos) { return new TKwSets(line, pos); }
    Token new249(  int line,   int pos) { return new TKwUses(line, pos); }
    Token new250(  int line,   int pos) { return new TKwVariables(line, pos); }
    Token new251(  int line,   int pos) { return new TKwValues(line, pos); }
    Token new252(  int line,   int pos) { return new TKwOppattern(line, pos); }
    Token new253(  String text,   int line,   int pos) { return new TIdentifierLiteral(text, line, pos); }
    Token new254(  String text,   int line,   int pos) { return new TPragmaIdentifierLiteral(text, line, pos); }
    Token new255(  String text,   int line,   int pos) { return new TDefLiteralSubstitution(text, line, pos); }
    Token new256(  String text,   int line,   int pos) { return new TDefLiteralPredicate(text, line, pos); }
    Token new257(  String text,   int line,   int pos) { return new TPredicateIdentifier(text, line, pos); }
    Token new258(  int line,   int pos) { return new TTruthPredicate(line, pos); }
    Token new259(  String text,   int line,   int pos) { return new TIntegerLiteral(text, line, pos); }
    Token new260(  String text,   int line,   int pos) { return new THexLiteral(text, line, pos); }
    Token new261(  String text,   int line,   int pos) { return new TUnderscore(text, line, pos); }
    Token new262(  String text,   int line,   int pos) { return new TWhiteSpace(text, line, pos); }
    Token new263(  int line,   int pos) { return new TKwRulesMachine(line, pos); }
    Token new264(  int line,   int pos) { return new TKwRule(line, pos); }
    Token new265(  int line,   int pos) { return new TKwRuleFail(line, pos); }
    Token new266(  int line,   int pos) { return new TKwRuleSuccess(line, pos); }
    Token new267(  int line,   int pos) { return new TKwDependsOnRules(line, pos); }
    Token new268(  int line,   int pos) { return new TKwFor(line, pos); }
    Token new269(  int line,   int pos) { return new TKwForAll(line, pos); }
    Token new270(  int line,   int pos) { return new TKwRuleForAll(line, pos); }
    Token new271(  int line,   int pos) { return new TKwExpect(line, pos); }
    Token new272(  int line,   int pos) { return new TKwCounterexample(line, pos); }

    private int getChar() throws IOException
    {
        if(this.eof)
        {
            return -1;
        }

        int result = this.in.read();

        if(result == -1)
        {
            this.eof = true;
        }

        return result;
    }

    private void pushBack(int acceptLength) throws IOException
    {
        int length = this.text.length();
        for(int i = length - 1; i >= acceptLength; i--)
        {
            this.eof = false;

            this.in.unread(this.text.charAt(i));
        }
    }

    protected void unread(  Token token) throws IOException
    {
          String text = token.getText();
        int length = text.length();

        for(int i = length - 1; i >= 0; i--)
        {
            this.eof = false;

            this.in.unread(text.charAt(i));
        }

        this.pos = token.getPos() - 1;
        this.line = token.getLine() - 1;
    }

    private String getText(int acceptLength)
    {
        StringBuffer s = new StringBuffer(acceptLength);
        for(int i = 0; i < acceptLength; i++)
        {
            s.append(this.text.charAt(i));
        }

        return s.toString();
    }

    private static int[][][][] gotoTable;
/*  {
        { // SECTION
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {35, 35, 3}, {47, 47, 4}, {65, 67, 5}, {68, 68, 6}, {69, 72, 5}, {73, 73, 7}, {74, 76, 5}, {77, 77, 8}, {78, 81, 5}, {82, 82, 9}, {83, 83, 10}, {84, 90, 5}, {97, 122, 11}, {127, 160, 1}, {8206, 8207, 1}, {8232, 8233, 1}, },
            {{0, 9, 1}, {11, 12, 1}, {14, 32, 1}, {127, 8233, -2}, },
            {},
            {{33, 33, 12}, {65, 65, 13}, {67, 67, 14}, {68, 68, 15}, {69, 69, 16}, {70, 70, 17}, {73, 73, 18}, {76, 76, 19}, {79, 79, 20}, {80, 80, 21}, {83, 83, 22}, {85, 85, 23}, {86, 86, 24}, },
            {{42, 42, 25}, {47, 47, 26}, },
            {{48, 57, 27}, {65, 90, 28}, {95, 95, 29}, {97, 122, 30}, },
            {{48, 57, 27}, {65, 68, 28}, {69, 69, 31}, {70, 90, 28}, {95, 122, -7}, },
            {{48, 57, 27}, {65, 76, 28}, {77, 77, 32}, {78, 90, 28}, {95, 122, -7}, },
            {{48, 57, 27}, {65, 65, 33}, {66, 78, 28}, {79, 79, 34}, {80, 90, 28}, {95, 122, -7}, },
            {{48, 68, -8}, {69, 69, 35}, {70, 122, -8}, },
            {{48, 57, 27}, {65, 88, 28}, {89, 89, 36}, {90, 90, 28}, {95, 122, -7}, },
            {{48, 122, -7}, },
            {},
            {{66, 66, 37}, {83, 83, 38}, },
            {{79, 79, 39}, },
            {{69, 69, 40}, },
            {{88, 88, 41}, },
            {{79, 79, 42}, },
            {{77, 77, 43}, {78, 78, 44}, },
            {{79, 79, 45}, },
            {{80, 80, 46}, },
            {{82, 82, 47}, },
            {{69, 69, 48}, {85, 85, 49}, },
            {{83, 83, 50}, },
            {{65, 65, 51}, },
            {{64, 64, 52}, },
            {{0, 9, 53}, {10, 10, 54}, {11, 12, 53}, {13, 13, 54}, {14, 65535, 53}, },
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{48, 57, 27}, {65, 69, 28}, {70, 70, 55}, {71, 90, 28}, {95, 122, -7}, },
            {{48, 57, 27}, {65, 79, 28}, {80, 80, 56}, {81, 90, 28}, {95, 122, -7}, },
            {{48, 57, 27}, {65, 66, 28}, {67, 67, 57}, {68, 90, 28}, {95, 122, -7}, },
            {{48, 57, 27}, {65, 67, 28}, {68, 68, 58}, {69, 90, 28}, {95, 122, -7}, },
            {{48, 69, -33}, {70, 70, 59}, {71, 122, -33}, },
            {{48, 57, 27}, {65, 82, 28}, {83, 83, 60}, {84, 90, 28}, {95, 122, -7}, },
            {{83, 83, 61}, },
            {{83, 83, 62}, },
            {{78, 78, 63}, },
            {{70, 70, 64}, },
            {{80, 80, 65}, {84, 84, 66}, },
            {{82, 82, 67}, },
            {{80, 80, 68}, },
            {{67, 67, 69}, {73, 73, 70}, {86, 86, 71}, },
            {{67, 67, 72}, },
            {{69, 69, 73}, {80, 80, 74}, },
            {{69, 69, 75}, {79, 79, 76}, },
            {{69, 69, 77}, {84, 84, 78}, },
            {{66, 66, 79}, },
            {{69, 69, 80}, },
            {{76, 76, 81}, {82, 82, 82}, },
            {},
            {{0, 65535, -28}, },
            {},
            {{48, 57, 27}, {65, 72, 28}, {73, 73, 83}, {74, 90, 28}, {95, 122, -7}, },
            {{48, 57, 27}, {65, 75, 28}, {76, 76, 84}, {77, 90, 28}, {95, 122, -7}, },
            {{48, 57, 27}, {65, 71, 28}, {72, 72, 85}, {73, 90, 28}, {95, 122, -7}, },
            {{48, 68, -8}, {69, 69, 86}, {70, 122, -8}, },
            {{48, 72, -57}, {73, 73, 87}, {74, 122, -57}, },
            {{48, 57, 27}, {65, 83, 28}, {84, 84, 88}, {85, 90, 28}, {95, 122, -7}, },
            {{84, 84, 89}, },
            {{69, 69, 90}, },
            {{67, 67, 91}, {83, 83, 92}, },
            {{73, 73, 93}, },
            {{82, 82, 94}, },
            {{69, 69, 95}, },
            {{77, 77, 96}, },
            {{79, 79, 97}, },
            {{76, 76, 98}, },
            {{84, 84, 99}, },
            {{65, 65, 100}, },
            {{65, 65, 101}, },
            {{82, 82, 102}, },
            {{65, 65, 103}, },
            {{68, 68, 104}, },
            {{77, 77, 105}, {80, 80, 106}, },
            {{83, 83, 107}, },
            {{83, 83, 108}, },
            {{83, 83, 109}, },
            {{83, 83, 110}, },
            {{85, 85, 111}, },
            {{73, 73, 112}, },
            {{48, 57, 27}, {65, 77, 28}, {78, 78, 113}, {79, 90, 28}, {95, 122, -7}, },
            {{48, 68, -8}, {69, 69, 114}, {70, 122, -8}, },
            {{48, 72, -57}, {73, 73, 115}, {74, 122, -57}, },
            {{48, 75, -58}, {76, 76, 116}, {77, 122, -58}, },
            {{48, 77, -85}, {78, 78, 117}, {79, 122, -85}, },
            {{48, 68, -8}, {69, 69, 118}, {70, 122, -8}, },
            {{82, 82, 119}, },
            {{82, 82, 120}, },
            {{82, 82, 121}, },
            {{84, 84, 122}, },
            {{78, 78, 123}, },
            {{69, 69, 124}, },
            {{78, 78, 125}, },
            {{85, 85, 126}, },
            {{82, 82, 127}, },
            {{85, 85, 128}, },
            {{73, 73, 129}, },
            {{82, 82, 130}, },
            {{76, 76, 131}, },
            {{65, 65, 132}, },
            {{84, 84, 133}, },
            {{73, 73, 134}, },
            {{79, 79, 135}, },
            {{69, 69, 136}, },
            {},
            {},
            {{84, 84, 137}, },
            {},
            {{69, 69, 138}, },
            {{65, 65, 139}, },
            {{48, 72, -57}, {73, 73, 140}, {74, 122, -57}, },
            {{48, 76, -9}, {77, 77, 141}, {78, 122, -9}, },
            {{48, 77, -85}, {78, 78, 142}, {79, 122, -85}, },
            {{48, 122, -7}, },
            {{48, 68, -8}, {69, 69, 143}, {70, 122, -8}, },
            {{48, 76, -9}, {77, 77, 144}, {78, 122, -9}, },
            {{65, 65, 145}, },
            {{84, 84, 146}, },
            {{69, 69, 147}, },
            {{65, 65, 148}, {82, 82, 149}, },
            {{73, 73, 150}, },
            {{83, 83, 151}, },
            {{68, 68, 152}, },
            {{76, 76, 153}, },
            {{84, 84, 154}, },
            {{68, 68, 155}, },
            {{65, 65, 156}, },
            {{73, 73, 157}, },
            {{95, 95, 158}, },
            {{84, 84, 159}, },
            {{84, 84, 160}, },
            {{67, 67, 161}, },
            {{84, 84, 162}, },
            {{82, 82, 163}, },
            {{73, 73, 164}, },
            {{83, 83, 165}, },
            {{66, 66, 166}, },
            {{48, 83, -62}, {84, 84, 167}, {85, 122, -62}, },
            {{48, 68, -8}, {69, 69, 168}, {70, 122, -8}, },
            {{48, 68, -8}, {69, 69, 169}, {70, 122, -8}, },
            {{48, 76, -9}, {77, 77, 170}, {78, 122, -9}, },
            {{48, 122, -7}, },
            {{67, 67, 171}, },
            {{73, 73, 172}, },
            {{84, 84, 173}, },
            {{78, 78, 174}, },
            {{65, 65, 175}, },
            {{84, 84, 176}, },
            {{83, 83, 177}, },
            {{83, 83, 178}, },
            {{65, 65, 179}, },
            {{83, 83, 180}, },
            {{69, 69, 181}, },
            {{76, 76, 182}, },
            {{65, 65, 183}, },
            {{79, 79, 184}, },
            {{73, 73, 185}, },
            {{69, 69, 186}, },
            {{65, 65, 187}, },
            {{69, 69, 188}, },
            {{84, 84, 189}, },
            {{84, 84, 190}, },
            {},
            {{76, 76, 191}, },
            {{48, 72, -57}, {73, 73, 192}, {74, 122, -57}, },
            {{48, 77, -85}, {78, 78, 193}, {79, 122, -85}, },
            {{48, 122, -7}, },
            {{48, 68, -8}, {69, 69, 194}, {70, 122, -8}, },
            {{84, 84, 195}, },
            {{79, 79, 196}, },
            {{69, 69, 197}, },
            {{84, 84, 198}, },
            {{73, 73, 199}, },
            {{73, 73, 200}, },
            {{73, 73, 201}, },
            {},
            {},
            {},
            {{83, 83, 202}, },
            {{73, 73, 203}, },
            {{78, 78, 204}, },
            {{80, 80, 205}, },
            {{79, 79, 206}, },
            {{82, 82, 207}, },
            {{84, 84, 208}, },
            {{83, 83, 209}, },
            {{73, 73, 210}, },
            {{85, 85, 211}, },
            {{69, 69, 212}, },
            {{48, 57, 27}, {65, 78, 28}, {79, 79, 213}, {80, 122, -10}, },
            {{48, 83, -62}, {84, 84, 214}, {85, 122, -62}, },
            {{48, 77, -85}, {78, 78, 215}, {79, 122, -85}, },
            {{95, 95, 216}, },
            {{78, 78, 217}, },
            {{95, 95, 218}, },
            {{83, 83, 219}, },
            {{78, 78, 220}, },
            {{79, 79, 221}, },
            {{79, 79, 222}, },
            {},
            {{83, 83, 223}, },
            {{84, 84, 224}, },
            {{69, 69, 225}, },
            {{78, 78, 226}, },
            {{78, 78, 227}, },
            {{69, 69, 228}, },
            {},
            {{69, 69, 229}, },
            {{84, 84, 230}, },
            {{83, 83, 231}, },
            {{48, 77, -85}, {78, 78, 232}, {79, 122, -85}, },
            {{48, 57, 27}, {65, 65, 233}, {66, 90, 28}, {95, 122, -7}, },
            {{48, 83, -62}, {84, 84, 234}, {85, 122, -62}, },
            {{67, 67, 235}, {86, 86, 236}, },
            {{83, 83, 237}, },
            {{67, 67, 238}, {86, 86, 239}, },
            {},
            {{84, 84, 240}, },
            {{78, 78, 241}, },
            {{78, 78, 242}, },
            {{65, 65, 243}, },
            {},
            {{82, 82, 244}, },
            {{83, 83, 245}, },
            {},
            {},
            {{83, 83, 246}, },
            {{73, 73, 247}, },
            {},
            {{48, 82, -38}, {83, 83, 248}, {84, 122, -38}, },
            {{48, 83, -62}, {84, 84, 249}, {85, 122, -62}, },
            {{48, 122, -7}, },
            {{79, 79, 250}, },
            {{65, 65, 251}, },
            {},
            {{79, 79, 252}, },
            {{65, 65, 253}, },
            {{83, 83, 254}, },
            {{83, 83, 255}, },
            {},
            {{84, 84, 256}, },
            {{65, 65, 257}, },
            {},
            {},
            {{79, 79, 258}, },
            {{48, 122, -7}, },
            {{48, 72, -57}, {73, 73, 259}, {74, 122, -57}, },
            {{78, 78, 260}, },
            {{82, 82, 261}, },
            {{78, 78, 262}, },
            {{82, 82, 263}, },
            {},
            {},
            {{73, 73, 264}, },
            {{84, 84, 265}, },
            {{78, 78, 266}, },
            {{48, 78, -194}, {79, 79, 267}, {80, 122, -10}, },
            {{83, 83, 268}, },
            {{73, 73, 269}, },
            {{83, 83, 270}, },
            {{73, 73, 271}, },
            {{79, 79, 272}, },
            {{73, 73, 273}, },
            {},
            {{48, 77, -85}, {78, 78, 274}, {79, 122, -85}, },
            {{84, 84, 275}, },
            {{65, 65, 276}, },
            {{84, 84, 277}, },
            {{65, 65, 278}, },
            {{78, 78, 279}, },
            {{79, 79, 280}, },
            {{48, 122, -7}, },
            {{65, 65, 281}, },
            {{66, 66, 282}, },
            {{65, 65, 283}, },
            {{66, 66, 284}, },
            {},
            {{78, 78, 285}, },
            {{78, 78, 286}, },
            {{76, 76, 287}, },
            {{78, 78, 288}, },
            {{76, 76, 289}, },
            {{83, 83, 290}, },
            {{84, 84, 291}, },
            {{69, 69, 292}, },
            {{84, 84, 293}, },
            {{69, 69, 294}, },
            {},
            {{83, 83, 295}, },
            {{83, 83, 296}, },
            {{83, 83, 297}, },
            {{83, 83, 298}, },
            {},
            {},
            {},
            {},
        }
        { // NORMAL
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 33, 3}, {34, 34, 4}, {35, 35, 5}, {36, 36, 6}, {37, 37, 7}, {38, 38, 8}, {39, 39, 9}, {40, 40, 10}, {41, 41, 11}, {42, 42, 12}, {43, 43, 13}, {44, 44, 14}, {45, 45, 15}, {46, 46, 16}, {47, 47, 17}, {48, 48, 18}, {49, 57, 19}, {58, 58, 20}, {59, 59, 21}, {60, 60, 22}, {61, 61, 23}, {62, 62, 24}, {65, 65, 25}, {66, 66, 26}, {67, 67, 27}, {68, 68, 28}, {69, 69, 29}, {70, 70, 30}, {71, 72, 31}, {73, 73, 32}, {74, 75, 31}, {76, 76, 33}, {77, 77, 34}, {78, 78, 35}, {79, 79, 36}, {80, 80, 37}, {81, 81, 31}, {82, 82, 38}, {83, 83, 39}, {84, 84, 40}, {85, 85, 41}, {86, 86, 42}, {87, 87, 43}, {88, 90, 31}, {91, 91, 44}, {92, 92, 45}, {93, 93, 46}, {94, 94, 47}, {95, 95, 48}, {97, 97, 49}, {98, 98, 50}, {99, 99, 51}, {100, 100, 52}, {101, 101, 53}, {102, 102, 54}, {103, 104, 53}, {105, 105, 55}, {106, 107, 53}, {108, 108, 56}, {109, 109, 57}, {110, 110, 58}, {111, 111, 59}, {112, 112, 60}, {113, 113, 53}, {114, 114, 61}, {115, 115, 62}, {116, 116, 63}, {117, 117, 64}, {118, 122, 53}, {123, 123, 65}, {124, 124, 66}, {125, 125, 67}, {126, 126, 68}, {127, 160, 1}, {172, 172, 69}, {215, 215, 70}, {247, 247, 71}, {955, 955, 72}, {8206, 8207, 1}, {8229, 8229, 73}, {8232, 8233, 1}, {8315, 8315, 74}, {8469, 8469, 75}, {8473, 8473, 76}, {8484, 8484, 77}, {8592, 8592, 78}, {8593, 8593, 79}, {8594, 8594, 80}, {8595, 8595, 81}, {8596, 8596, 82}, {8608, 8608, 83}, {8611, 8611, 84}, {8614, 8614, 85}, {8658, 8658, 86}, {8660, 8660, 87}, {8696, 8696, 88}, {8701, 8701, 89}, {8702, 8702, 90}, {8704, 8704, 91}, {8707, 8707, 92}, {8709, 8709, 93}, {8712, 8712, 94}, {8713, 8713, 95}, {8719, 8719, 96}, {8721, 8721, 97}, {8722, 8722, 98}, {8741, 8741, 99}, {8743, 8743, 100}, {8744, 8744, 101}, {8745, 8745, 102}, {8746, 8746, 103}, {8764, 8764, 104}, {8800, 8800, 105}, {8804, 8804, 106}, {8805, 8805, 107}, {8834, 8834, 108}, {8836, 8836, 109}, {8838, 8838, 110}, {8840, 8840, 111}, {8855, 8855, 112}, {8868, 8868, 113}, {8869, 8869, 114}, {8898, 8898, 115}, {8899, 8899, 116}, {8918, 8918, 117}, {8978, 8978, 118}, {9654, 9654, 119}, {9655, 9655, 120}, {9664, 9664, 121}, {9665, 9665, 122}, {10496, 10496, 123}, {10516, 10516, 124}, {10518, 10518, 125}, {10852, 10852, 126}, {10853, 10853, 127}, {57600, 57600, 128}, {57601, 57601, 129}, {57602, 57602, 130}, {57603, 57603, 131}, },
            {{0, 9, 1}, {11, 12, 1}, {14, 32, 1}, {127, 160, 1}, {8206, 8207, 1}, {8232, 8233, 1}, },
            {},
            {},
            {{0, 33, 132}, {34, 34, 133}, {35, 91, 132}, {92, 92, 134}, {93, 65535, 132}, },
            {{33, 33, 135}, {108, 108, 136}, {112, 112, 137}, {116, 116, 138}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {{42, 42, 139}, },
            {{45, 45, 140}, {8722, 8722, 141}, },
            {},
            {{45, 45, 142}, {62, 62, 143}, {8722, 8722, 144}, },
            {{46, 46, 145}, },
            {{42, 42, 146}, {47, 47, 147}, {58, 58, 148}, {60, 60, 149}, {61, 61, 150}, {92, 92, 151}, {124, 124, 152}, },
            {{48, 57, 19}, {120, 120, 153}, },
            {{48, 57, 19}, },
            {{58, 58, 154}, {61, 61, 155}, {8712, 8712, 156}, },
            {},
            {{43, 43, 157}, {45, 45, 158}, {58, 58, 159}, {60, 60, 160}, {61, 61, 161}, {124, 124, 162}, {8722, 8722, 163}, },
            {{61, 61, 164}, {62, 62, 165}, },
            {{43, 43, 166}, {45, 45, 167}, {60, 60, 168}, {61, 61, 169}, {8722, 8722, 170}, },
            {{48, 57, 171}, {65, 65, 172}, {66, 66, 173}, {67, 77, 172}, {78, 78, 174}, {79, 82, 172}, {83, 83, 175}, {84, 90, 172}, {95, 95, 176}, {97, 122, 177}, },
            {{48, 57, 171}, {65, 68, 172}, {69, 69, 178}, {70, 78, 172}, {79, 79, 179}, {80, 90, 172}, {95, 122, -27}, },
            {{48, 57, 171}, {65, 65, 180}, {66, 71, 172}, {72, 72, 181}, {73, 78, 172}, {79, 79, 182}, {80, 122, -28}, },
            {{48, 68, -28}, {69, 69, 183}, {70, 78, 172}, {79, 79, 184}, {80, 122, -28}, },
            {{48, 57, 171}, {65, 72, 172}, {73, 73, 185}, {74, 75, 172}, {76, 76, 186}, {77, 77, 172}, {78, 78, 187}, {79, 85, 172}, {86, 86, 188}, {87, 87, 172}, {88, 88, 189}, {89, 90, 172}, {95, 122, -27}, },
            {{48, 57, 171}, {65, 65, 190}, {66, 72, 172}, {73, 73, 191}, {74, 78, 172}, {79, 79, 192}, {80, 81, 172}, {82, 82, 193}, {83, 90, 172}, {95, 122, -27}, },
            {{48, 57, 171}, {65, 90, 172}, {95, 122, -27}, },
            {{48, 57, 171}, {65, 69, 172}, {70, 70, 194}, {71, 76, 172}, {77, 77, 195}, {78, 78, 196}, {79, 90, 172}, {95, 122, -27}, },
            {{48, 68, -28}, {69, 69, 197}, {70, 78, 172}, {79, 79, 198}, {80, 122, -28}, },
            {{48, 57, 171}, {65, 65, 199}, {66, 72, 172}, {73, 73, 200}, {74, 78, 172}, {79, 79, 201}, {80, 122, -28}, },
            {{48, 57, 171}, {65, 65, 202}, {66, 90, 172}, {95, 122, -27}, },
            {{48, 69, -34}, {70, 70, 203}, {71, 79, 172}, {80, 80, 204}, {81, 81, 172}, {82, 82, 205}, {83, 122, -32}, },
            {{48, 72, -31}, {73, 73, 206}, {74, 78, 172}, {79, 79, 207}, {80, 81, 172}, {82, 82, 208}, {83, 122, -32}, },
            {{48, 68, -28}, {69, 69, 209}, {70, 84, 172}, {85, 85, 210}, {86, 90, 172}, {95, 122, -27}, },
            {{48, 68, -28}, {69, 69, 211}, {70, 72, 172}, {73, 73, 212}, {74, 83, 172}, {84, 84, 213}, {85, 88, 172}, {89, 89, 214}, {90, 90, 172}, {95, 122, -27}, },
            {{48, 57, 171}, {65, 71, 172}, {72, 72, 215}, {73, 81, 172}, {82, 82, 216}, {83, 122, -32}, },
            {{48, 57, 171}, {65, 77, 172}, {78, 78, 217}, {79, 82, 172}, {83, 83, 218}, {84, 122, -27}, },
            {{48, 57, 171}, {65, 65, 219}, {66, 122, -37}, },
            {{48, 71, -42}, {72, 72, 220}, {73, 90, 172}, {95, 122, -27}, },
            {},
            {{47, 47, 221}, {124, 124, 222}, },
            {},
            {},
            {},
            {{48, 95, -33}, {97, 113, 177}, {114, 114, 223}, {115, 122, 177}, },
            {{48, 95, -33}, {97, 101, 177}, {102, 102, 224}, {103, 104, 177}, {105, 105, 225}, {106, 110, 177}, {111, 111, 226}, {112, 115, 177}, {116, 116, 227}, {117, 122, 177}, },
            {{48, 95, -33}, {97, 97, 228}, {98, 107, 177}, {108, 108, 229}, {109, 110, 177}, {111, 111, 230}, {112, 122, 177}, },
            {{48, 95, -33}, {97, 110, 177}, {111, 111, 231}, {112, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 95, -33}, {97, 97, 232}, {98, 104, 177}, {105, 105, 233}, {106, 109, 177}, {110, 110, 234}, {111, 113, 177}, {114, 114, 235}, {115, 122, 177}, },
            {{48, 95, -33}, {97, 99, 177}, {100, 100, 236}, {101, 109, 177}, {110, 110, 237}, {111, 114, 177}, {115, 115, 238}, {116, 116, 239}, {117, 122, 177}, },
            {{48, 95, -33}, {97, 97, 240}, {98, 100, 177}, {101, 101, 241}, {102, 122, 177}, },
            {{48, 95, -33}, {97, 97, 242}, {98, 104, 177}, {105, 105, 243}, {106, 110, 177}, {111, 111, 244}, {112, 122, 177}, },
            {{48, 110, -54}, {111, 111, 245}, {112, 122, 177}, },
            {{48, 113, -51}, {114, 114, 246}, {115, 122, 177}, },
            {{48, 95, -33}, {97, 100, 177}, {101, 101, 247}, {102, 110, 177}, {111, 111, 248}, {112, 113, 177}, {114, 114, 249}, {115, 122, 177}, },
            {{48, 95, -33}, {97, 97, 250}, {98, 100, 177}, {101, 101, 251}, {102, 104, 177}, {105, 105, 252}, {106, 122, 177}, },
            {{48, 100, -62}, {101, 101, 253}, {102, 104, 177}, {105, 105, 254}, {106, 106, 177}, {107, 107, 255}, {108, 110, 177}, {111, 111, 256}, {112, 115, 177}, {116, 116, 257}, {117, 117, 258}, {118, 122, 177}, },
            {{48, 95, -33}, {97, 97, 259}, {98, 110, 177}, {111, 111, 260}, {112, 113, 177}, {114, 114, 261}, {115, 122, 177}, },
            {{48, 95, -33}, {97, 109, 177}, {110, 110, 262}, {111, 122, 177}, },
            {},
            {{45, 45, 263}, {62, 62, 264}, {124, 124, 265}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{185, 185, 266}, },
            {{49, 49, 267}, {8321, 8321, 268}, },
            {{49, 49, 269}, {8321, 8321, 270}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{45, 8722, -17}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{0, 65535, -6}, },
            {},
            {{0, 33, 132}, {34, 34, 271}, {35, 65535, -6}, },
            {},
            {{105, 105, 272}, },
            {{114, 114, 273}, },
            {{114, 114, 274}, },
            {},
            {{62, 62, 275}, },
            {{62, 62, 275}, },
            {{62, 62, 276}, },
            {},
            {{62, 62, 276}, },
            {},
            {{64, 64, 277}, },
            {{0, 9, 278}, {10, 10, 279}, {11, 12, 278}, {13, 13, 279}, {14, 65535, 278}, },
            {},
            {{58, 58, 280}, {60, 60, 281}, },
            {},
            {},
            {{92, 92, 282}, },
            {{48, 57, 283}, {65, 70, 283}, {97, 102, 283}, },
            {},
            {},
            {},
            {},
            {{45, 45, 284}, {62, 62, 285}, },
            {},
            {{45, 45, 286}, {58, 58, 287}, {124, 124, 288}, {8722, 8722, 289}, },
            {{62, 62, 290}, },
            {},
            {{62, 62, 285}, },
            {},
            {},
            {{62, 62, 291}, },
            {{62, 62, 292}, },
            {},
            {},
            {{62, 62, 292}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 57, 171}, {65, 82, 172}, {83, 83, 293}, {84, 122, -27}, },
            {{48, 57, 171}, {65, 88, 172}, {89, 89, 294}, {90, 122, -41}, },
            {{48, 82, -175}, {83, 83, 295}, {84, 122, -27}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 57, 171}, {65, 70, 172}, {71, 71, 296}, {72, 90, 172}, {95, 122, -27}, },
            {{48, 57, 171}, {65, 78, 172}, {79, 79, 297}, {80, 122, -28}, },
            {{48, 82, -175}, {83, 83, 298}, {84, 122, -27}, },
            {{48, 78, -181}, {79, 79, 299}, {80, 122, -28}, },
            {{48, 77, -43}, {78, 78, 300}, {79, 84, 172}, {85, 85, 301}, {86, 122, -40}, },
            {{48, 69, -34}, {70, 70, 302}, {71, 79, 172}, {80, 80, 303}, {81, 90, 172}, {95, 122, -27}, },
            {{48, 122, -33}, },
            {{48, 57, 171}, {65, 83, 172}, {84, 84, 304}, {85, 90, 172}, {95, 122, -27}, },
            {{48, 82, -175}, {83, 83, 305}, {84, 122, -27}, },
            {{48, 57, 171}, {65, 67, 172}, {68, 68, 306}, {69, 90, 172}, {95, 122, -27}, },
            {{48, 68, -28}, {69, 69, 307}, {70, 90, 172}, {95, 122, -27}, },
            {{48, 57, 171}, {65, 79, 172}, {80, 80, 308}, {81, 83, 172}, {84, 84, 309}, {85, 122, -187}, },
            {{48, 57, 171}, {65, 75, 172}, {76, 76, 310}, {77, 90, 172}, {95, 122, -27}, },
            {{48, 77, -43}, {78, 78, 311}, {79, 122, -34}, },
            {{48, 57, 171}, {65, 81, 172}, {82, 82, 312}, {83, 122, -32}, },
            {{48, 68, -28}, {69, 69, 313}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 79, -191}, {80, 80, 314}, {81, 122, -185}, },
            {{48, 57, 171}, {65, 66, 172}, {67, 67, 315}, {68, 72, 172}, {73, 73, 316}, {74, 83, 172}, {84, 84, 317}, {85, 85, 172}, {86, 86, 318}, {87, 90, 172}, {95, 122, -27}, },
            {{48, 83, -187}, {84, 84, 319}, {85, 122, -187}, },
            {{48, 66, -198}, {67, 67, 320}, {68, 90, 172}, {95, 122, -27}, },
            {{48, 66, -198}, {67, 67, 321}, {68, 87, 172}, {88, 88, 322}, {89, 122, -31}, },
            {{48, 77, -43}, {78, 78, 323}, {79, 122, -34}, },
            {{48, 67, -189}, {68, 68, 324}, {69, 122, -189}, },
            {{48, 83, -187}, {84, 84, 325}, {85, 122, -187}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 326}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 57, 171}, {65, 86, 172}, {87, 87, 327}, {88, 90, 172}, {95, 122, -27}, },
            {{48, 68, -28}, {69, 69, 328}, {70, 78, 172}, {79, 79, 329}, {80, 122, -28}, },
            {{48, 69, -34}, {70, 70, 330}, {71, 90, 172}, {95, 122, -27}, },
            {{48, 75, -192}, {76, 76, 331}, {77, 122, -192}, },
            {{48, 68, -28}, {69, 69, 332}, {70, 75, 172}, {76, 76, 333}, {77, 83, 172}, {84, 84, 334}, {85, 122, -187}, },
            {{48, 70, -180}, {71, 71, 335}, {72, 122, -180}, },
            {{48, 81, -194}, {82, 82, 336}, {83, 122, -32}, },
            {{48, 82, -175}, {83, 83, 337}, {84, 122, -27}, },
            {{48, 68, -28}, {69, 69, 338}, {70, 122, -190}, },
            {{48, 57, 171}, {65, 84, 172}, {85, 85, 339}, {86, 122, -40}, },
            {{48, 72, -31}, {73, 73, 340}, {74, 90, 172}, {95, 122, -27}, },
            {{48, 68, -28}, {69, 69, 341}, {70, 122, -190}, },
            {{48, 75, -192}, {76, 76, 342}, {77, 81, 172}, {82, 82, 343}, {83, 122, -32}, },
            {{48, 68, -28}, {69, 69, 344}, {70, 72, 172}, {73, 73, 345}, {74, 122, -219}, },
            {},
            {{47, 47, 346}, },
            {{48, 95, -33}, {97, 104, 177}, {105, 105, 347}, {106, 122, 177}, },
            {{48, 95, -33}, {97, 97, 348}, {98, 122, 177}, },
            {{48, 109, -66}, {110, 110, 349}, {111, 122, 177}, },
            {{48, 110, -54}, {111, 111, 350}, {112, 122, 177}, },
            {{48, 113, -51}, {114, 114, 351}, {115, 122, 177}, },
            {{48, 113, -51}, {114, 114, 352}, {115, 122, 177}, },
            {{48, 110, -54}, {111, 111, 353}, {112, 122, 177}, },
            {{48, 109, -66}, {110, 110, 354}, {111, 122, 177}, },
            {{48, 95, -33}, {97, 108, 177}, {109, 109, 355}, {110, 122, 177}, },
            {{48, 95, -33}, {97, 115, 177}, {116, 116, 356}, {117, 122, 177}, },
            {{48, 113, -51}, {114, 114, 357}, {115, 122, 177}, },
            {{48, 95, -33}, {97, 98, 177}, {99, 99, 358}, {100, 122, 177}, },
            {{48, 110, -54}, {111, 111, 359}, {112, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 101, -52}, {102, 102, 360}, {103, 115, 177}, {116, 116, 361}, {117, 122, 177}, },
            {{48, 100, -62}, {101, 101, 362}, {102, 122, 177}, },
            {{48, 100, -62}, {101, 101, 363}, {102, 122, 177}, },
            {{48, 95, -33}, {97, 114, 177}, {115, 115, 364}, {116, 122, 177}, },
            {{48, 101, -52}, {102, 102, 365}, {103, 122, 177}, },
            {{48, 95, -33}, {97, 119, 177}, {120, 120, 366}, {121, 122, 177}, },
            {{48, 109, -66}, {110, 110, 367}, {111, 113, 177}, {114, 114, 368}, {115, 122, 177}, },
            {{48, 99, -57}, {100, 100, 369}, {101, 122, 177}, },
            {{48, 115, -234}, {116, 116, 370}, {117, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 113, -51}, {114, 114, 371}, {115, 122, 177}, },
            {{48, 114, -242}, {115, 115, 372}, {116, 122, 177}, },
            {{48, 100, -62}, {101, 101, 373}, {102, 105, 177}, {106, 106, 374}, {107, 122, 177}, },
            {{48, 109, -66}, {110, 110, 375}, {111, 122, 177}, },
            {{48, 98, -236}, {99, 99, 376}, {100, 107, 177}, {108, 108, 377}, {109, 117, 177}, {118, 118, 378}, {119, 122, 177}, },
            {{48, 95, -33}, {97, 102, 177}, {103, 103, 379}, {104, 122, 177}, },
            {{48, 95, -33}, {97, 112, 177}, {113, 113, 380}, {114, 122, 177}, },
            {{48, 95, -33}, {97, 121, 177}, {122, 122, 381}, },
            {{48, 104, -225}, {105, 105, 382}, {106, 122, 177}, },
            {{48, 109, -66}, {110, 110, 383}, {111, 122, 177}, },
            {{48, 113, -51}, {114, 114, 384}, {115, 122, 177}, },
            {{48, 95, -33}, {97, 97, 177}, {98, 98, 385}, {99, 99, 386}, {100, 122, 177}, },
            {{48, 104, -225}, {105, 105, 387}, {106, 122, 177}, },
            {{48, 95, -33}, {97, 111, 177}, {112, 112, 388}, {113, 122, 177}, },
            {{48, 100, -62}, {101, 101, 389}, {102, 122, 177}, },
            {{48, 104, -225}, {105, 105, 390}, {106, 122, 177}, },
            {{62, 62, 391}, },
            {{62, 62, 392}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {{0, 65535, -6}, },
            {{116, 116, 393}, },
            {{101, 101, 394}, },
            {{117, 117, 395}, },
            {{62, 62, 396}, },
            {{62, 62, 397}, },
            {},
            {{0, 65535, -149}, },
            {},
            {},
            {{58, 58, 398}, },
            {},
            {{48, 102, -155}, },
            {},
            {{62, 62, 399}, },
            {{62, 62, 400}, },
            {},
            {},
            {{62, 62, 400}, },
            {},
            {{62, 62, 401}, },
            {{62, 62, 402}, },
            {{48, 83, -187}, {84, 84, 403}, {85, 122, -187}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 404}, {70, 122, -190}, },
            {{48, 72, -31}, {73, 73, 405}, {74, 122, -219}, },
            {{48, 75, -192}, {76, 76, 406}, {77, 122, -192}, },
            {{48, 68, -28}, {69, 69, 407}, {70, 122, -190}, },
            {{48, 72, -31}, {73, 73, 408}, {74, 122, -219}, },
            {{48, 66, -198}, {67, 67, 409}, {68, 82, 172}, {83, 83, 410}, {84, 122, -27}, },
            {{48, 77, -43}, {78, 78, 411}, {79, 122, -34}, },
            {{48, 72, -31}, {73, 73, 412}, {74, 122, -219}, },
            {{48, 68, -28}, {69, 69, 413}, {70, 122, -190}, },
            {{48, 71, -42}, {72, 72, 414}, {73, 122, -45}, },
            {{48, 68, -28}, {69, 69, 415}, {70, 72, 172}, {73, 73, 416}, {74, 122, -219}, },
            {{48, 122, -33}, },
            {{48, 77, -43}, {78, 78, 417}, {79, 122, -34}, },
            {{48, 68, -28}, {69, 69, 418}, {70, 122, -190}, },
            {{48, 68, -28}, {69, 69, 419}, {70, 122, -190}, },
            {{48, 82, -175}, {83, 83, 420}, {84, 122, -27}, },
            {{48, 48, 171}, {49, 49, 421}, {50, 57, 171}, {65, 122, -33}, },
            {{48, 57, 171}, {65, 65, 422}, {66, 122, -37}, },
            {{48, 68, -28}, {69, 69, 423}, {70, 122, -190}, },
            {{48, 75, -192}, {76, 76, 424}, {77, 78, 172}, {79, 79, 425}, {80, 122, -28}, },
            {{48, 75, -192}, {76, 76, 426}, {77, 122, -192}, },
            {{48, 83, -187}, {84, 84, 427}, {85, 122, -187}, },
            {{48, 68, -28}, {69, 69, 428}, {70, 122, -190}, },
            {{48, 57, 171}, {65, 65, 429}, {66, 122, -37}, },
            {{48, 122, -33}, },
            {{48, 57, 171}, {65, 65, 430}, {66, 122, -37}, },
            {{48, 71, -42}, {72, 72, 431}, {73, 122, -45}, },
            {{48, 72, -31}, {73, 73, 432}, {74, 122, -219}, },
            {{48, 72, -31}, {73, 73, 433}, {74, 122, -219}, },
            {{48, 68, -28}, {69, 69, 434}, {70, 122, -190}, },
            {{48, 48, 171}, {49, 49, 435}, {50, 57, 171}, {65, 84, 172}, {85, 85, 436}, {86, 122, -40}, },
            {{48, 81, -194}, {82, 82, 437}, {83, 122, -32}, },
            {{48, 48, 171}, {49, 49, 438}, {50, 122, -313}, },
            {{48, 122, -33}, },
            {{48, 57, 171}, {65, 76, 172}, {77, 77, 439}, {78, 79, 172}, {80, 80, 440}, {81, 122, -185}, },
            {{48, 72, -31}, {73, 73, 441}, {74, 122, -219}, },
            {{48, 68, -28}, {69, 69, 442}, {70, 122, -190}, },
            {{48, 82, -175}, {83, 83, 443}, {84, 122, -27}, },
            {{48, 68, -28}, {69, 69, 444}, {70, 122, -190}, },
            {{48, 82, -175}, {83, 83, 445}, {84, 122, -27}, },
            {{48, 76, -331}, {77, 77, 446}, {78, 90, 172}, {95, 122, -27}, },
            {{48, 72, -31}, {73, 73, 447}, {74, 122, -219}, },
            {{48, 83, -187}, {84, 84, 448}, {85, 122, -187}, },
            {{48, 77, -43}, {78, 78, 449}, {79, 122, -34}, },
            {{48, 68, -28}, {69, 69, 450}, {70, 122, -190}, },
            {{48, 78, -181}, {79, 79, 451}, {80, 122, -28}, },
            {{48, 82, -175}, {83, 83, 452}, {84, 122, -27}, },
            {{48, 84, -218}, {85, 85, 453}, {86, 122, -40}, },
            {{48, 72, -31}, {73, 73, 454}, {74, 122, -219}, },
            {{48, 77, -43}, {78, 78, 455}, {79, 81, 172}, {82, 82, 456}, {83, 122, -32}, },
            {{48, 75, -192}, {76, 76, 457}, {77, 122, -192}, },
            {},
            {{48, 115, -234}, {116, 116, 458}, {117, 122, 177}, },
            {{48, 95, -33}, {97, 107, 177}, {108, 108, 459}, {109, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 107, -350}, {108, 108, 460}, {109, 122, 177}, },
            {{48, 100, -62}, {101, 101, 461}, {102, 122, 177}, },
            {{48, 99, -57}, {100, 100, 462}, {101, 122, 177}, },
            {{48, 114, -242}, {115, 115, 463}, {116, 122, 177}, },
            {{48, 98, -236}, {99, 99, 464}, {100, 114, 177}, {115, 115, 465}, {116, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 95, -33}, {97, 103, 177}, {104, 104, 466}, {105, 122, 177}, },
            {{48, 114, -242}, {115, 115, 467}, {116, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 109, -66}, {110, 110, 468}, {111, 122, 177}, },
            {{48, 104, -225}, {105, 105, 469}, {106, 122, 177}, },
            {{48, 100, -62}, {101, 101, 470}, {102, 122, 177}, },
            {{48, 112, -255}, {113, 113, 471}, {114, 122, 177}, },
            {{48, 113, -51}, {114, 114, 472}, {115, 122, 177}, },
            {{48, 115, -234}, {116, 116, 473}, {117, 122, 177}, },
            {{48, 115, -234}, {116, 116, 474}, {117, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 113, -51}, {114, 114, 475}, {115, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 108, -233}, {109, 109, 476}, {110, 122, 177}, },
            {{48, 115, -234}, {116, 116, 477}, {117, 122, 177}, },
            {{48, 99, -57}, {100, 100, 478}, {101, 101, 177}, {102, 102, 479}, {103, 122, 177}, },
            {{48, 48, 171}, {49, 49, 480}, {50, 50, 481}, {51, 57, 171}, {65, 122, -33}, },
            {{48, 95, -33}, {97, 106, 177}, {107, 107, 482}, {108, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 103, -358}, {104, 104, 483}, {105, 122, 177}, },
            {{48, 48, 171}, {49, 49, 484}, {50, 122, -313}, },
            {{48, 100, -62}, {101, 101, 485}, {102, 122, 177}, },
            {{48, 111, -262}, {112, 112, 486}, {113, 122, 177}, },
            {{48, 114, -242}, {115, 115, 487}, {116, 122, 177}, },
            {{48, 95, -33}, {97, 116, 177}, {117, 117, 488}, {118, 122, 177}, },
            {{48, 115, -234}, {116, 116, 489}, {117, 122, 177}, },
            {{48, 98, -236}, {99, 99, 490}, {100, 122, 177}, },
            {{48, 107, -350}, {108, 108, 491}, {109, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 100, -62}, {101, 101, 492}, {102, 122, 177}, },
            {{48, 110, -54}, {111, 111, 493}, {112, 122, 177}, },
            {},
            {},
            {{101, 101, 494}, },
            {{100, 100, 495}, },
            {{116, 116, 496}, },
            {},
            {},
            {},
            {},
            {{62, 62, 497}, },
            {},
            {},
            {{48, 81, -194}, {82, 82, 498}, {83, 122, -32}, },
            {{48, 81, -194}, {82, 82, 499}, {83, 122, -32}, },
            {{48, 77, -43}, {78, 78, 500}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 66, -198}, {67, 67, 501}, {68, 122, -200}, },
            {{48, 81, -194}, {82, 82, 502}, {83, 122, -32}, },
            {{48, 83, -187}, {84, 84, 503}, {85, 122, -187}, },
            {{48, 83, -187}, {84, 84, 504}, {85, 122, -187}, },
            {{48, 77, -43}, {78, 78, 505}, {79, 122, -34}, },
            {{48, 77, -43}, {78, 78, 506}, {79, 122, -34}, },
            {{48, 68, -28}, {69, 69, 507}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 69, -34}, {70, 70, 508}, {71, 122, -211}, },
            {{48, 83, -187}, {84, 84, 509}, {85, 122, -187}, },
            {{48, 66, -198}, {67, 67, 510}, {68, 122, -200}, },
            {{48, 77, -43}, {78, 78, 511}, {79, 122, -34}, },
            {{48, 68, -28}, {69, 69, 512}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 75, -192}, {76, 76, 513}, {77, 122, -192}, },
            {{48, 83, -187}, {84, 84, 514}, {85, 122, -187}, },
            {{48, 68, -28}, {69, 69, 515}, {70, 122, -190}, },
            {{48, 81, -194}, {82, 82, 516}, {83, 122, -32}, },
            {{48, 84, -218}, {85, 85, 517}, {86, 122, -40}, },
            {{48, 72, -31}, {73, 73, 518}, {74, 122, -219}, },
            {{48, 70, -180}, {71, 71, 519}, {72, 81, 172}, {82, 82, 520}, {83, 122, -32}, },
            {{48, 81, -194}, {82, 82, 521}, {83, 122, -32}, },
            {{48, 75, -192}, {76, 76, 522}, {77, 122, -192}, },
            {{48, 72, -31}, {73, 73, 523}, {74, 122, -219}, },
            {{48, 77, -43}, {78, 78, 524}, {79, 122, -34}, },
            {{48, 77, -43}, {78, 78, 525}, {79, 122, -34}, },
            {{48, 75, -192}, {76, 76, 526}, {77, 122, -192}, },
            {{48, 122, -33}, },
            {{48, 81, -194}, {82, 82, 527}, {83, 122, -32}, },
            {{48, 57, 171}, {65, 65, 528}, {66, 122, -37}, },
            {{48, 122, -33}, },
            {{48, 78, -181}, {79, 79, 529}, {80, 122, -28}, },
            {{48, 68, -28}, {69, 69, 530}, {70, 122, -190}, },
            {{48, 77, -43}, {78, 78, 531}, {79, 122, -34}, },
            {{48, 82, -175}, {83, 83, 532}, {84, 90, 172}, {95, 95, 533}, {97, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 66, -198}, {67, 67, 534}, {68, 122, -200}, },
            {{48, 122, -33}, },
            {{48, 57, 171}, {65, 65, 535}, {66, 122, -37}, },
            {{48, 77, -43}, {78, 78, 536}, {79, 122, -34}, },
            {{48, 68, -28}, {69, 69, 537}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 77, -43}, {78, 78, 538}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 539}, {70, 122, -190}, },
            {{48, 57, 171}, {65, 65, 540}, {66, 122, -37}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 541}, {70, 122, -190}, },
            {{48, 68, -28}, {69, 69, 542}, {70, 122, -190}, },
            {{48, 95, -33}, {97, 120, 177}, {121, 121, 543}, {122, 122, 177}, },
            {{48, 114, -242}, {115, 115, 544}, {116, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 100, -62}, {101, 101, 545}, {102, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 116, -386}, {117, 117, 546}, {118, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 115, -234}, {116, 116, 547}, {117, 122, 177}, },
            {{48, 100, -62}, {101, 101, 548}, {102, 122, 177}, },
            {{48, 115, -234}, {116, 116, 549}, {117, 122, 177}, },
            {{48, 115, -234}, {116, 116, 550}, {117, 122, 177}, },
            {{48, 119, -244}, {120, 120, 551}, {121, 122, 177}, },
            {{48, 113, -51}, {114, 114, 552}, {115, 122, 177}, },
            {{48, 48, 171}, {49, 49, 553}, {50, 122, -313}, },
            {{48, 95, -33}, {97, 97, 554}, {98, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 110, -54}, {111, 111, 555}, {112, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 101, -52}, {102, 102, 556}, {103, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 104, -225}, {105, 105, 557}, {106, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 115, -234}, {116, 116, 558}, {117, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 115, -234}, {116, 116, 559}, {117, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 98, -236}, {99, 99, 560}, {100, 122, 177}, },
            {{48, 113, -51}, {114, 114, 561}, {115, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 109, -66}, {110, 110, 562}, {111, 122, 177}, },
            {{114, 114, 563}, },
            {{105, 105, 564}, },
            {{104, 104, 565}, },
            {},
            {{48, 57, 171}, {65, 65, 566}, {66, 122, -37}, },
            {{48, 83, -187}, {84, 84, 567}, {85, 122, -187}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 568}, {70, 122, -190}, },
            {{48, 68, -28}, {69, 69, 569}, {70, 122, -190}, },
            {{48, 57, 171}, {65, 65, 570}, {66, 81, 172}, {82, 82, 571}, {83, 122, -32}, },
            {{48, 68, -28}, {69, 69, 572}, {70, 122, -190}, },
            {{48, 72, -31}, {73, 73, 573}, {74, 122, -219}, },
            {{48, 67, -189}, {68, 68, 574}, {69, 122, -189}, },
            {{48, 81, -194}, {82, 82, 575}, {83, 122, -32}, },
            {{48, 122, -33}, },
            {{48, 82, -175}, {83, 83, 576}, {84, 122, -27}, },
            {{48, 83, -187}, {84, 84, 577}, {85, 122, -187}, },
            {{48, 67, -189}, {68, 68, 578}, {69, 122, -189}, },
            {{48, 122, -33}, },
            {{48, 75, -192}, {76, 76, 579}, {77, 122, -192}, },
            {{48, 88, -176}, {89, 89, 580}, {90, 122, -41}, },
            {{48, 76, -331}, {77, 77, 581}, {78, 122, -337}, },
            {{48, 83, -187}, {84, 84, 582}, {85, 122, -187}, },
            {{48, 67, -189}, {68, 68, 583}, {69, 122, -189}, },
            {{48, 57, 171}, {65, 65, 584}, {66, 122, -37}, },
            {{48, 68, -28}, {69, 69, 585}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 72, -31}, {73, 73, 586}, {74, 122, -219}, },
            {{48, 90, -33}, {95, 95, 587}, {97, 122, 177}, },
            {{48, 77, -43}, {78, 78, 588}, {79, 122, -34}, },
            {{48, 83, -187}, {84, 84, 589}, {85, 122, -187}, },
            {{48, 83, -187}, {84, 84, 590}, {85, 122, -187}, },
            {{48, 122, -33}, },
            {{48, 57, 171}, {65, 65, 591}, {66, 122, -37}, },
            {{48, 83, -187}, {84, 84, 592}, {85, 122, -187}, },
            {{48, 83, -187}, {84, 84, 593}, {85, 122, -187}, },
            {{48, 81, -194}, {82, 82, 594}, {83, 122, -32}, },
            {{48, 68, -28}, {69, 69, 595}, {70, 122, -190}, },
            {{48, 90, -33}, {95, 95, 596}, {97, 122, 177}, },
            {{48, 69, -34}, {70, 70, 597}, {71, 82, 172}, {83, 83, 598}, {84, 122, -27}, },
            {{48, 83, -187}, {84, 84, 599}, {85, 122, -187}, },
            {{48, 122, -33}, },
            {{48, 70, -180}, {71, 71, 600}, {72, 122, -180}, },
            {{48, 76, -331}, {77, 77, 601}, {78, 122, -337}, },
            {{48, 122, -33}, },
            {{48, 82, -175}, {83, 83, 602}, {84, 122, -27}, },
            {{48, 65, -27}, {66, 66, 603}, {67, 77, 172}, {78, 78, 604}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 100, -62}, {101, 101, 605}, {102, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 113, -51}, {114, 114, 606}, {115, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 113, -51}, {114, 114, 607}, {115, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 115, -234}, {116, 116, 608}, {117, 122, 177}, },
            {{48, 113, -51}, {114, 114, 609}, {115, 122, 177}, },
            {{48, 104, -225}, {105, 105, 610}, {106, 122, 177}, },
            {{48, 119, -244}, {120, 120, 611}, {121, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 115, -234}, {116, 116, 612}, {117, 122, 177}, },
            {{48, 100, -62}, {101, 101, 613}, {102, 122, 177}, },
            {{48, 122, -33}, },
            {{97, 97, 614}, },
            {{99, 99, 615}, },
            {{95, 95, 616}, },
            {{48, 66, -198}, {67, 67, 617}, {68, 122, -200}, },
            {{48, 72, -31}, {73, 73, 618}, {74, 122, -219}, },
            {{48, 122, -33}, },
            {{48, 83, -187}, {84, 84, 619}, {85, 122, -187}, },
            {{48, 77, -43}, {78, 78, 620}, {79, 122, -34}, },
            {{48, 57, 171}, {65, 65, 621}, {66, 122, -37}, },
            {{48, 81, -194}, {82, 82, 622}, {83, 122, -32}, },
            {{48, 83, -187}, {84, 84, 623}, {85, 122, -187}, },
            {{48, 82, -175}, {83, 83, 624}, {84, 122, -27}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 82, -175}, {83, 83, 625}, {84, 122, -27}, },
            {{48, 122, -33}, },
            {{48, 79, -191}, {80, 80, 626}, {81, 122, -185}, },
            {{48, 68, -28}, {69, 69, 627}, {70, 122, -190}, },
            {{48, 82, -175}, {83, 83, 628}, {84, 122, -27}, },
            {{48, 68, -28}, {69, 69, 629}, {70, 122, -190}, },
            {{48, 75, -192}, {76, 76, 630}, {77, 122, -192}, },
            {{48, 81, -194}, {82, 82, 631}, {83, 122, -32}, },
            {{48, 57, 171}, {65, 65, 632}, {66, 122, -37}, },
            {{48, 78, -181}, {79, 79, 633}, {80, 122, -28}, },
            {{48, 68, -28}, {69, 69, 634}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 75, -192}, {76, 76, 635}, {77, 122, -192}, },
            {{48, 72, -31}, {73, 73, 636}, {74, 122, -219}, },
            {{48, 68, -28}, {69, 69, 637}, {70, 122, -190}, },
            {{48, 83, -187}, {84, 84, 638}, {85, 122, -187}, },
            {{48, 76, -331}, {77, 77, 639}, {78, 82, 172}, {83, 83, 640}, {84, 122, -27}, },
            {{48, 76, -331}, {77, 77, 641}, {78, 122, -337}, },
            {{48, 57, 171}, {65, 65, 642}, {66, 78, 172}, {79, 79, 643}, {80, 122, -28}, },
            {{48, 84, -218}, {85, 85, 644}, {86, 122, -40}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 75, -192}, {76, 76, 645}, {77, 122, -192}, },
            {{48, 83, -187}, {84, 84, 646}, {85, 122, -187}, },
            {{48, 122, -33}, },
            {{48, 100, -62}, {101, 101, 647}, {102, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 100, -62}, {101, 101, 648}, {102, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 119, -244}, {120, 120, 649}, {121, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 100, -62}, {101, 101, 650}, {102, 122, 177}, },
            {{108, 108, 651}, },
            {{97, 97, 652}, },
            {{112, 112, 653}, },
            {{48, 83, -187}, {84, 84, 654}, {85, 122, -187}, },
            {{48, 78, -181}, {79, 79, 655}, {80, 122, -28}, },
            {{48, 68, -28}, {69, 69, 656}, {70, 122, -190}, },
            {{48, 83, -187}, {84, 84, 657}, {85, 122, -187}, },
            {{48, 72, -31}, {73, 73, 658}, {74, 122, -219}, },
            {{48, 68, -28}, {69, 69, 659}, {70, 122, -190}, },
            {{48, 72, -31}, {73, 73, 660}, {74, 122, -219}, },
            {{48, 90, -33}, {95, 95, 661}, {97, 122, 177}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 662}, {70, 122, -190}, },
            {{48, 77, -43}, {78, 78, 663}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 82, -175}, {83, 83, 664}, {84, 122, -27}, },
            {{48, 72, -31}, {73, 73, 665}, {74, 122, -219}, },
            {{48, 122, -33}, },
            {{48, 77, -43}, {78, 78, 666}, {79, 122, -34}, },
            {{48, 79, -191}, {80, 80, 667}, {81, 122, -185}, },
            {{48, 122, -33}, },
            {{48, 48, 171}, {49, 49, 668}, {50, 122, -313}, },
            {{48, 78, -181}, {79, 79, 669}, {80, 122, -28}, },
            {{48, 82, -175}, {83, 83, 670}, {84, 122, -27}, },
            {{48, 72, -31}, {73, 73, 671}, {74, 122, -219}, },
            {{48, 68, -28}, {69, 69, 672}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 57, 171}, {65, 65, 673}, {66, 122, -37}, },
            {{48, 72, -31}, {73, 73, 674}, {74, 122, -219}, },
            {{48, 81, -194}, {82, 82, 675}, {83, 122, -32}, },
            {{48, 66, -198}, {67, 67, 676}, {68, 122, -200}, },
            {{48, 68, -28}, {69, 69, 677}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 48, 171}, {49, 49, 678}, {50, 122, -313}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{95, 95, 679}, },
            {{116, 116, 680}, },
            {{114, 114, 681}, },
            {{48, 90, -33}, {95, 95, 682}, {97, 122, 177}, },
            {{48, 77, -43}, {78, 78, 683}, {79, 122, -34}, },
            {{48, 90, -33}, {95, 95, 684}, {97, 122, 177}, },
            {{48, 82, -175}, {83, 83, 685}, {84, 122, -27}, },
            {{48, 77, -43}, {78, 78, 686}, {79, 122, -34}, },
            {{48, 57, 171}, {65, 87, 172}, {88, 88, 687}, {89, 122, -31}, },
            {{48, 78, -181}, {79, 79, 688}, {80, 122, -28}, },
            {{48, 78, -181}, {79, 79, 689}, {80, 122, -28}, },
            {{48, 82, -175}, {83, 83, 690}, {84, 122, -27}, },
            {{48, 83, -187}, {84, 84, 691}, {85, 122, -187}, },
            {{48, 122, -33}, },
            {{48, 82, -175}, {83, 83, 692}, {84, 89, 172}, {90, 90, 693}, {95, 122, -27}, },
            {{48, 83, -187}, {84, 84, 694}, {85, 122, -187}, },
            {{48, 68, -28}, {69, 69, 695}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 77, -43}, {78, 78, 696}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 697}, {70, 122, -190}, },
            {{48, 77, -43}, {78, 78, 698}, {79, 122, -34}, },
            {{48, 66, -198}, {67, 67, 699}, {68, 122, -200}, },
            {{48, 75, -192}, {76, 76, 700}, {77, 122, -192}, },
            {{48, 57, 171}, {65, 65, 701}, {66, 122, -37}, },
            {{48, 66, -198}, {67, 67, 702}, {68, 122, -200}, },
            {{48, 82, -175}, {83, 83, 703}, {84, 122, -27}, },
            {{48, 122, -33}, },
            {{112, 112, 704}, {115, 115, 705}, },
            {{101, 101, 706}, },
            {{101, 101, 707}, },
            {{48, 66, -198}, {67, 67, 708}, {68, 85, 172}, {86, 86, 709}, {87, 122, -198}, },
            {{48, 82, -175}, {83, 83, 710}, {84, 122, -27}, },
            {{48, 66, -198}, {67, 67, 711}, {68, 85, 172}, {86, 86, 712}, {87, 122, -198}, },
            {{48, 122, -33}, },
            {{48, 83, -187}, {84, 84, 713}, {85, 122, -187}, },
            {{48, 57, 171}, {65, 65, 714}, {66, 122, -37}, },
            {{48, 77, -43}, {78, 78, 715}, {79, 122, -34}, },
            {{48, 77, -43}, {78, 78, 716}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 57, 171}, {65, 65, 717}, {66, 122, -37}, },
            {{48, 57, 171}, {65, 65, 718}, {66, 122, -37}, },
            {{48, 57, 171}, {65, 65, 719}, {66, 122, -37}, },
            {{48, 122, -33}, },
            {{48, 81, -194}, {82, 82, 720}, {83, 122, -32}, },
            {{48, 82, -175}, {83, 83, 721}, {84, 122, -27}, },
            {{48, 82, -175}, {83, 83, 722}, {84, 122, -27}, },
            {{48, 83, -187}, {84, 84, 723}, {85, 122, -187}, },
            {{48, 71, -42}, {72, 72, 724}, {73, 122, -45}, },
            {{48, 122, -33}, },
            {{48, 75, -192}, {76, 76, 725}, {77, 122, -192}, },
            {{48, 68, -28}, {69, 69, 726}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{114, 114, 727}, },
            {{117, 117, 728}, },
            {{95, 95, 729}, },
            {{100, 100, 730}, },
            {{48, 78, -181}, {79, 79, 731}, {80, 122, -28}, },
            {{48, 57, 171}, {65, 65, 732}, {66, 122, -37}, },
            {{48, 122, -33}, },
            {{48, 78, -181}, {79, 79, 733}, {80, 122, -28}, },
            {{48, 57, 171}, {65, 65, 734}, {66, 122, -37}, },
            {{48, 82, -175}, {83, 83, 735}, {84, 122, -27}, },
            {{48, 76, -331}, {77, 77, 736}, {78, 122, -337}, },
            {{48, 82, -175}, {83, 83, 737}, {84, 122, -27}, },
            {{48, 90, -33}, {95, 95, 738}, {97, 122, 177}, },
            {{48, 83, -187}, {84, 84, 739}, {85, 122, -187}, },
            {{48, 83, -187}, {84, 84, 740}, {85, 122, -187}, },
            {{48, 83, -187}, {84, 84, 741}, {85, 122, -187}, },
            {{48, 57, 171}, {65, 65, 742}, {66, 122, -37}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 72, -31}, {73, 73, 743}, {74, 122, -219}, },
            {{48, 75, -192}, {76, 76, 744}, {77, 122, -192}, },
            {{48, 82, -175}, {83, 83, 745}, {84, 122, -27}, },
            {{101, 101, 746}, },
            {{98, 98, 747}, },
            {{105, 105, 748}, },
            {{105, 105, 749}, },
            {{48, 77, -43}, {78, 78, 750}, {79, 122, -34}, },
            {{48, 81, -194}, {82, 82, 751}, {83, 122, -32}, },
            {{48, 77, -43}, {78, 78, 752}, {79, 122, -34}, },
            {{48, 81, -194}, {82, 82, 753}, {83, 122, -32}, },
            {{48, 122, -33}, },
            {{48, 79, -191}, {80, 80, 754}, {81, 122, -185}, },
            {{48, 122, -33}, },
            {{48, 81, -194}, {82, 82, 755}, {83, 122, -32}, },
            {{48, 72, -31}, {73, 73, 756}, {74, 122, -219}, },
            {{48, 72, -31}, {73, 73, 757}, {74, 122, -219}, },
            {{48, 72, -31}, {73, 73, 758}, {74, 122, -219}, },
            {{48, 83, -187}, {84, 84, 759}, {85, 122, -187}, },
            {{48, 77, -43}, {78, 78, 760}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 82, -175}, {83, 83, 761}, {84, 122, -27}, },
            {{100, 100, 762}, },
            {{115, 115, 763}, },
            {{100, 100, 764}, },
            {{99, 99, 765}, },
            {{48, 82, -175}, {83, 83, 766}, {84, 122, -27}, },
            {{48, 72, -31}, {73, 73, 767}, {74, 122, -219}, },
            {{48, 82, -175}, {83, 83, 768}, {84, 122, -27}, },
            {{48, 72, -31}, {73, 73, 769}, {74, 122, -219}, },
            {{48, 75, -192}, {76, 76, 770}, {77, 122, -192}, },
            {{48, 84, -218}, {85, 85, 771}, {86, 122, -40}, },
            {{48, 78, -181}, {79, 79, 772}, {80, 122, -28}, },
            {{48, 78, -181}, {79, 79, 773}, {80, 122, -28}, },
            {{48, 78, -181}, {79, 79, 774}, {80, 122, -28}, },
            {{48, 72, -31}, {73, 73, 775}, {74, 122, -219}, },
            {{48, 68, -28}, {69, 69, 776}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{105, 105, 777}, },
            {{116, 116, 778}, },
            {{101, 101, 779}, },
            {{97, 97, 780}, },
            {{48, 83, -187}, {84, 84, 781}, {85, 122, -187}, },
            {{48, 57, 171}, {65, 65, 782}, {66, 122, -37}, },
            {{48, 83, -187}, {84, 84, 783}, {85, 122, -187}, },
            {{48, 57, 171}, {65, 65, 784}, {66, 122, -37}, },
            {{48, 68, -28}, {69, 69, 785}, {70, 122, -190}, },
            {{48, 75, -192}, {76, 76, 786}, {77, 122, -192}, },
            {{48, 77, -43}, {78, 78, 787}, {79, 122, -34}, },
            {{48, 77, -43}, {78, 78, 788}, {79, 122, -34}, },
            {{48, 77, -43}, {78, 78, 789}, {79, 122, -34}, },
            {{48, 78, -181}, {79, 79, 790}, {80, 122, -28}, },
            {{48, 122, -33}, },
            {{99, 99, 791}, },
            {{105, 105, 792}, },
            {{110, 110, 793}, },
            {{116, 116, 794}, },
            {{48, 57, 171}, {65, 65, 795}, {66, 122, -37}, },
            {{48, 65, -27}, {66, 66, 796}, {67, 90, 172}, {95, 122, -27}, },
            {{48, 57, 171}, {65, 65, 797}, {66, 122, -37}, },
            {{48, 65, -27}, {66, 66, 798}, {67, 122, -784}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 799}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 77, -43}, {78, 78, 800}, {79, 122, -34}, },
            {{97, 97, 801}, },
            {{116, 116, 802}, },
            {{116, 116, 803}, },
            {{101, 101, 804}, },
            {{48, 77, -43}, {78, 78, 805}, {79, 122, -34}, },
            {{48, 75, -192}, {76, 76, 806}, {77, 122, -192}, },
            {{48, 77, -43}, {78, 78, 807}, {79, 122, -34}, },
            {{48, 75, -192}, {76, 76, 808}, {77, 122, -192}, },
            {{48, 82, -175}, {83, 83, 809}, {84, 122, -27}, },
            {{48, 82, -175}, {83, 83, 810}, {84, 122, -27}, },
            {{116, 116, 811}, },
            {{117, 117, 812}, },
            {{105, 105, 813}, },
            {},
            {{48, 83, -187}, {84, 84, 814}, {85, 122, -187}, },
            {{48, 68, -28}, {69, 69, 815}, {70, 122, -190}, },
            {{48, 83, -187}, {84, 84, 816}, {85, 122, -187}, },
            {{48, 68, -28}, {69, 69, 817}, {70, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{101, 101, 818}, },
            {{116, 116, 819}, },
            {{102, 102, 820}, },
            {{48, 82, -175}, {83, 83, 821}, {84, 122, -27}, },
            {{48, 82, -175}, {83, 83, 822}, {84, 122, -27}, },
            {{48, 82, -175}, {83, 83, 823}, {84, 122, -27}, },
            {{48, 82, -175}, {83, 83, 824}, {84, 122, -27}, },
            {{65, 90, 825}, {97, 122, 826}, },
            {{105, 105, 827}, },
            {{105, 105, 828}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{65, 122, -820}, },
            {{65, 122, -820}, },
            {{111, 111, 829}, },
            {{101, 101, 830}, },
            {{110, 110, 831}, },
            {{114, 114, 832}, },
            {{65, 90, 833}, {97, 122, 834}, },
            {{65, 90, 835}, {97, 122, 836}, },
            {{65, 122, -833}, },
            {{65, 122, -833}, },
            {{65, 122, -834}, },
            {{65, 122, -834}, },
        }
        { // SHEBANG
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 34, 3}, {35, 35, 4}, {36, 126, 3}, {127, 160, 1}, {161, 8205, 3}, {8206, 8207, 1}, {8208, 8231, 3}, {8232, 8233, 1}, {8234, 65535, 3}, },
            {{0, 9, 5}, {11, 12, 5}, {14, 32, 5}, {127, 160, 5}, {8206, 8207, 5}, {8232, 8233, 5}, },
            {},
            {},
            {{33, 33, 6}, },
            {{0, 8233, -3}, },
            {},
        }
        { // COMMENT
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 41, 3}, {42, 42, 4}, {43, 46, 3}, {47, 47, 5}, {48, 126, 3}, {127, 160, 1}, {161, 8205, 3}, {8206, 8207, 1}, {8208, 8231, 3}, {8232, 8233, 1}, {8234, 65535, 3}, },
            {{0, 9, 1}, {10, 10, 3}, {11, 12, 1}, {13, 13, 3}, {14, 41, -2}, {43, 46, 3}, {48, 65535, -2}, },
            {{0, 41, 3}, {43, 46, 3}, {48, 65535, 3}, },
            {{0, 65535, -4}, },
            {{47, 47, 6}, },
            {},
            {},
        }
        { // PRAGMA
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {34, 34, 3}, {42, 42, 4}, {65, 90, 5}, {97, 98, 6}, {99, 99, 7}, {100, 100, 8}, {101, 101, 6}, {102, 102, 9}, {103, 103, 10}, {104, 104, 6}, {105, 105, 11}, {106, 107, 6}, {108, 108, 12}, {109, 109, 6}, {110, 110, 13}, {111, 114, 6}, {115, 115, 14}, {116, 116, 6}, {117, 117, 15}, {118, 122, 6}, {127, 160, 1}, {8206, 8207, 1}, {8232, 8233, 1}, },
            {{0, 9, 1}, {11, 12, 1}, {14, 32, 1}, {127, 8233, -2}, },
            {},
            {{0, 33, 16}, {34, 34, 17}, {35, 91, 16}, {92, 92, 18}, {93, 65535, 16}, },
            {{47, 47, 19}, },
            {{45, 45, 20}, {48, 57, 21}, {65, 90, 22}, {95, 95, 23}, {97, 122, 24}, {8722, 8722, 25}, },
            {{45, 8722, -7}, },
            {{45, 95, -7}, {97, 110, 24}, {111, 111, 26}, {112, 122, 24}, {8722, 8722, 25}, },
            {{45, 95, -7}, {97, 100, 24}, {101, 101, 27}, {102, 122, 24}, {8722, 8722, 25}, },
            {{45, 95, -7}, {97, 104, 24}, {105, 105, 28}, {106, 122, 24}, {8722, 8722, 25}, },
            {{45, 100, -10}, {101, 101, 29}, {102, 8722, -10}, },
            {{45, 95, -7}, {97, 109, 24}, {110, 110, 30}, {111, 122, 24}, {8722, 8722, 25}, },
            {{45, 95, -7}, {97, 97, 31}, {98, 122, 24}, {8722, 8722, 25}, },
            {{45, 100, -10}, {101, 101, 32}, {102, 8722, -10}, },
            {{45, 95, -7}, {97, 120, 24}, {121, 121, 33}, {122, 122, 24}, {8722, 8722, 25}, },
            {{45, 109, -13}, {110, 110, 34}, {111, 8722, -13}, },
            {{0, 65535, -5}, },
            {},
            {{0, 33, 16}, {34, 34, 35}, {35, 65535, -5}, },
            {},
            {{45, 45, 20}, {48, 57, 36}, {65, 90, 37}, {95, 95, 38}, {97, 122, 39}, {8722, 8722, 25}, },
            {{45, 8722, -7}, },
            {{45, 8722, -7}, },
            {{45, 8722, -7}, },
            {{45, 8722, -7}, },
            {{45, 8722, -22}, },
            {{45, 109, -13}, {110, 110, 40}, {111, 8722, -13}, },
            {{45, 95, -7}, {97, 114, 24}, {115, 115, 41}, {116, 122, 24}, {8722, 8722, 25}, },
            {{45, 95, -7}, {97, 107, 24}, {108, 108, 42}, {109, 122, 24}, {8722, 8722, 25}, },
            {{45, 109, -13}, {110, 110, 43}, {111, 8722, -13}, },
            {{45, 95, -7}, {97, 101, 24}, {102, 102, 44}, {103, 122, 24}, {8722, 8722, 25}, },
            {{45, 95, -7}, {97, 97, 24}, {98, 98, 45}, {99, 122, 24}, {8722, 8722, 25}, },
            {{45, 95, -7}, {97, 118, 24}, {119, 119, 46}, {120, 122, 24}, {8722, 8722, 25}, },
            {{45, 95, -7}, {97, 108, 24}, {109, 109, 47}, {110, 122, 24}, {8722, 8722, 25}, },
            {{45, 104, -11}, {105, 105, 48}, {106, 8722, -11}, },
            {{0, 65535, -5}, },
            {{45, 8722, -22}, },
            {{45, 8722, -22}, },
            {{45, 8722, -22}, },
            {{45, 8722, -22}, },
            {{45, 95, -7}, {97, 117, 24}, {118, 118, 49}, {119, 122, 24}, {8722, 8722, 25}, },
            {{45, 95, -7}, {97, 98, 24}, {99, 99, 50}, {100, 122, 24}, {8722, 8722, 25}, },
            {{45, 100, -10}, {101, 101, 51}, {102, 8722, -10}, },
            {{45, 100, -10}, {101, 101, 52}, {102, 8722, -10}, },
            {{45, 100, -10}, {101, 101, 53}, {102, 8722, -10}, },
            {{45, 100, -10}, {101, 101, 54}, {102, 8722, -10}, },
            {{45, 90, -7}, {95, 95, 55}, {97, 8722, -7}, },
            {{45, 97, -33}, {98, 98, 56}, {99, 8722, -33}, },
            {{45, 95, -7}, {97, 115, 24}, {116, 116, 57}, {117, 122, 24}, {8722, 8722, 25}, },
            {{45, 100, -10}, {101, 101, 58}, {102, 8722, -10}, },
            {{45, 95, -7}, {97, 113, 24}, {114, 114, 59}, {115, 122, 24}, {8722, 8722, 25}, },
            {{45, 8722, -7}, },
            {{45, 113, -52}, {114, 114, 60}, {115, 8722, -52}, },
            {{45, 113, -52}, {114, 114, 61}, {115, 8722, -52}, },
            {{45, 107, -30}, {108, 108, 62}, {109, 8722, -30}, },
            {{45, 95, -7}, {97, 116, 24}, {117, 117, 63}, {118, 122, 24}, {8722, 8722, 25}, },
            {{45, 110, -9}, {111, 111, 64}, {112, 8722, -9}, },
            {{45, 90, -7}, {95, 95, 65}, {97, 8722, -7}, },
            {{45, 113, -52}, {114, 114, 66}, {115, 8722, -52}, },
            {{45, 104, -11}, {105, 105, 67}, {106, 8722, -11}, },
            {{45, 95, -7}, {97, 97, 68}, {98, 8722, -14}, },
            {{45, 113, -52}, {114, 114, 69}, {115, 8722, -52}, },
            {{45, 8722, -7}, },
            {{45, 109, -13}, {110, 110, 70}, {111, 8722, -13}, },
            {{45, 107, -30}, {108, 108, 71}, {109, 8722, -30}, },
            {{45, 95, -7}, {97, 97, 72}, {98, 8722, -14}, },
            {{45, 114, -29}, {115, 115, 73}, {116, 8722, -29}, },
            {{45, 95, -7}, {97, 111, 24}, {112, 112, 74}, {113, 122, 24}, {8722, 8722, 25}, },
            {{45, 115, -50}, {116, 116, 75}, {117, 8722, -50}, },
            {{45, 100, -10}, {101, 101, 76}, {102, 8722, -10}, },
            {{45, 104, -11}, {105, 105, 77}, {106, 8722, -11}, },
            {{45, 104, -11}, {105, 105, 78}, {106, 8722, -11}, },
            {{45, 107, -30}, {108, 108, 79}, {109, 8722, -30}, },
            {{45, 104, -11}, {105, 105, 80}, {106, 8722, -11}, },
            {{45, 115, -50}, {116, 116, 81}, {117, 8722, -50}, },
            {{45, 100, -10}, {101, 101, 82}, {102, 8722, -10}, },
            {{45, 95, -7}, {97, 99, 24}, {100, 100, 83}, {101, 122, 24}, {8722, 8722, 25}, },
            {{45, 115, -50}, {116, 116, 84}, {117, 8722, -50}, },
            {{45, 98, -43}, {99, 99, 85}, {100, 8722, -43}, },
            {{45, 104, -11}, {105, 105, 86}, {106, 8722, -11}, },
            {{45, 110, -9}, {111, 111, 87}, {112, 8722, -9}, },
            {{45, 104, -11}, {105, 105, 88}, {106, 8722, -11}, },
            {{45, 99, -78}, {100, 100, 89}, {101, 8722, -78}, },
            {{45, 90, -7}, {95, 95, 90}, {97, 8722, -7}, },
            {{45, 8722, -7}, },
            {{45, 8722, -7}, },
            {{45, 95, -7}, {97, 97, 91}, {98, 8722, -14}, },
            {{45, 109, -13}, {110, 110, 92}, {111, 8722, -13}, },
            {{45, 110, -9}, {111, 111, 93}, {112, 8722, -9}, },
            {{45, 8722, -7}, },
            {{45, 116, -57}, {117, 117, 94}, {118, 8722, -57}, },
            {{45, 114, -29}, {115, 115, 95}, {116, 8722, -29}, },
            {{45, 8722, -7}, },
            {{45, 109, -13}, {110, 110, 96}, {111, 8722, -13}, },
            {{45, 109, -13}, {110, 110, 97}, {111, 8722, -13}, },
            {{45, 8722, -7}, },
            {{45, 8722, -7}, },
            {{45, 104, -11}, {105, 105, 98}, {106, 8722, -11}, },
            {{45, 115, -50}, {116, 116, 99}, {117, 8722, -50}, },
            {{45, 8722, -7}, },
        }
        { // DESCRIPTION
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 41, 3}, {42, 42, 4}, {43, 46, 3}, {47, 47, 5}, {48, 126, 3}, {127, 160, 1}, {161, 8205, 3}, {8206, 8207, 1}, {8208, 8231, 3}, {8232, 8233, 1}, {8234, 65535, 3}, },
            {{0, 9, 1}, {10, 10, 3}, {11, 12, 1}, {13, 13, 3}, {14, 41, -2}, {43, 46, 3}, {48, 65535, -2}, },
            {{0, 41, 3}, {43, 46, 3}, {48, 65535, 3}, },
            {{0, 65535, -4}, },
            {{47, 47, 6}, },
            {},
            {},
        }
        { // UNIT
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {34, 34, 3}, {42, 42, 4}, {65, 90, 5}, {97, 122, 6}, {127, 160, 1}, {8206, 8207, 1}, {8232, 8233, 1}, },
            {{0, 9, 1}, {11, 12, 1}, {14, 32, 1}, {127, 8233, -2}, },
            {},
            {{0, 33, 7}, {34, 34, 8}, {35, 91, 7}, {92, 92, 9}, {93, 65535, 7}, },
            {{47, 47, 10}, },
            {{48, 57, 11}, {65, 90, 12}, {95, 95, 13}, {97, 122, 14}, },
            {{48, 122, -7}, },
            {{0, 65535, -5}, },
            {},
            {{0, 33, 7}, {34, 34, 15}, {35, 65535, -5}, },
            {},
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{0, 65535, -5}, },
        }
    };*/

    private static int[][] accept;
/*  {
        // SECTION
        {-1, 262, 262, -1, -1, 253, 253, 253, 253, 253, 253, 253, 0, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 20, 3, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 4, 3, 3, 253, 253, 253, 253, 253, 253, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 253, 253, 253, 253, 253, 253, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 247, 248, -1, 249, -1, -1, 253, 253, 253, 117, 253, 253, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 253, 253, 253, 253, 118, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 251, -1, 253, 253, 116, 253, -1, -1, -1, -1, -1, -1, -1, 238, 227, 239, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 253, 253, 253, -1, -1, -1, -1, -1, -1, -1, 240, -1, -1, -1, -1, -1, -1, 245, -1, -1, -1, 253, 253, 253, -1, -1, -1, 234, -1, -1, -1, -1, 242, -1, -1, 252, 226, -1, -1, 250, 253, 253, 135, -1, -1, 231, -1, -1, -1, 237, 225, -1, -1, 244, 246, -1, 94, 253, -1, -1, -1, -1, 235, 236, -1, -1, -1, 253, -1, -1, -1, -1, -1, -1, 228, 253, -1, -1, -1, -1, -1, -1, 105, -1, -1, -1, -1, 241, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 243, -1, -1, -1, -1, 229, 230, 232, 233, },
        // NORMAL
        {-1, 262, 262, 26, -1, 27, 28, 29, 30, 31, 32, 33, 34, 36, 39, 40, 44, 46, 259, 259, 54, 57, 58, 69, 72, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 153, 51, 154, 157, 261, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 213, 215, 214, 220, 184, 34, 46, 29, 45, -1, 123, 129, 111, 62, 53, 41, 156, 60, 42, 74, 217, 71, 67, 37, 61, 43, 26, 27, 212, 54, 47, 128, 140, 40, 216, 30, 185, 52, 155, 220, 50, 66, 78, 64, 49, 63, 48, 77, 143, 101, 112, 144, 59, 157, 219, 218, 65, 68, 38, 73, 76, 65, 219, 221, 222, 223, 59, -1, 25, -1, 0, -1, -1, -1, 35, -1, -1, -1, 43, -1, 45, 20, 3, 47, -1, 50, 52, -1, -1, 55, 56, 55, 59, 61, 63, -1, 66, 68, -1, 70, 71, -1, -1, 77, 78, -1, 253, 253, 253, 253, 253, 253, 253, 84, 253, 253, 253, 253, 253, 95, 253, 253, 253, 253, 253, 253, 253, 253, 253, 104, 253, 107, 253, 253, 253, 253, 253, 253, 125, 253, 127, 128, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 155, -1, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 172, 253, 253, 253, 253, 253, 253, 253, 253, 253, 185, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, -1, 218, 216, 220, 124, 124, 130, 130, 25, -1, -1, -1, 37, 41, 4, 3, 3, 48, -1, 53, 260, 62, 60, -1, 64, 65, -1, 67, 73, 74, 253, 81, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 99, 253, 253, 253, 253, 102, 253, 253, 253, 253, 253, 110, 253, 114, 253, 253, 253, 253, 253, 121, 253, 129, 131, 253, 253, 253, 253, 253, 139, 253, 253, 253, 253, 253, 253, 253, 253, 147, 253, 253, 156, 253, 253, 159, 253, 253, 253, 253, 253, 167, 253, 253, 170, 253, 253, 253, 253, 253, 253, 253, 180, 181, 253, 183, 184, 253, 253, 253, 253, 193, 194, 195, 196, 253, 198, 253, 253, 204, 253, 253, 253, 253, 209, 253, 253, 217, 219, -1, -1, -1, 38, 42, 49, 222, 221, 75, 76, 253, 253, 253, 86, 88, 253, 253, 253, 253, 253, 253, 253, 97, 253, 253, 253, 253, 253, 103, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 122, 253, 253, 130, 253, 253, 253, 253, 136, 253, 138, 253, 253, 253, 142, 143, 253, 145, 253, 253, 150, 253, 253, 253, 253, 160, 253, 162, 253, 165, 253, 253, 253, 253, 253, 253, 175, 253, 178, 179, 253, 186, 253, 188, 253, 190, 191, 192, 253, 199, 201, 202, 203, 253, 253, 207, 208, 210, 253, -1, -1, -1, 223, 253, 253, 85, 253, 253, 253, 253, 253, 253, 253, 98, 253, 253, 253, 101, 253, 253, 253, 253, 253, 253, 253, 112, 253, 253, 253, 253, 253, 117, 253, 253, 253, 253, 253, 253, 253, 253, 140, 253, 253, 144, 253, 253, 151, 152, 158, 253, 161, 253, 166, 253, 169, 171, 173, 174, 176, 253, 253, 253, 253, 197, 200, 253, 253, 211, -1, -1, -1, 253, 82, 89, 253, 253, 253, 253, 253, 253, 96, 126, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 119, 120, 253, 253, 253, 253, 253, 253, 253, 253, 137, 141, 118, 146, 253, 253, 87, 253, 168, 253, 182, 253, 189, 205, 253, -1, -1, -1, 253, 253, 253, 253, 253, 253, 253, 253, 100, 253, 253, 106, 253, 253, 111, 253, 253, 116, 123, 253, 253, 253, 253, 134, 253, 253, 253, 253, 253, 148, 163, 177, 187, 206, -1, -1, -1, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 108, 253, 253, 253, 124, 253, 132, 253, 253, 253, 253, 253, 253, 253, 164, -1, -1, -1, 253, 253, 253, 92, 253, 253, 253, 253, 224, 253, 253, 253, 113, 253, 253, 253, 253, 253, 253, 253, 253, 149, -1, -1, -1, -1, 253, 253, 83, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 126, 133, 135, 253, 253, 253, -1, -1, -1, -1, 253, 253, 253, 253, 93, 253, 94, 253, 253, 253, 253, 253, 253, 253, 253, -1, -1, -1, -1, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, -1, -1, -1, -1, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, -1, -1, -1, -1, 253, 253, 253, 253, 253, 253, 105, 109, 109, 253, -1, -1, -1, -1, 253, 253, 253, 253, 253, 253, -1, -1, -1, 258, 253, 253, 253, 253, 253, 115, -1, -1, -1, 253, 253, 253, 253, 256, -1, -1, 79, 80, 90, 91, 256, 256, -1, -1, -1, -1, 255, 257, 255, 255, 257, 257, },
        // SHEBANG
        {-1, 2, 1, 2, 2, 262, 0, },
        // COMMENT
        {22, 22, 22, 22, 23, 24, 21, },
        // PRAGMA
        {-1, 262, 262, -1, -1, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, -1, 16, -1, 5, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 14, 13, 16, 16, 16, 16, 16, 6, 16, 16, 16, 16, 12, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 7, 11, 16, 16, 16, 10, 16, 16, 15, 16, 16, 9, 14, 16, 16, 8, },
        // DESCRIPTION
        {17, 17, 17, 17, 23, 24, 21, },
        // UNIT
        {-1, 262, 262, -1, -1, 19, 19, -1, 18, -1, 5, 19, 19, 19, 19, 18, },

    };*/

    public static class State
    {
        public final static State SECTION = new State(0);
        public final static State NORMAL = new State(1);
        public final static State SHEBANG = new State(2);
        public final static State COMMENT = new State(3);
        public final static State PRAGMA = new State(4);
        public final static State DESCRIPTION = new State(5);
        public final static State UNIT = new State(6);

        private int id;

        private State(  int id)
        {
            this.id = id;
        }

        public int id()
        {
            return this.id;
        }
    }

    static 
    {
        try
        {
            DataInputStream s = new DataInputStream(
                new BufferedInputStream(
                Lexer.class.getResourceAsStream("lexer.dat")));

            // read gotoTable
            int length = s.readInt();
            gotoTable = new int[length][][][];
            for(int i = 0; i < gotoTable.length; i++)
            {
                length = s.readInt();
                gotoTable[i] = new int[length][][];
                for(int j = 0; j < gotoTable[i].length; j++)
                {
                    length = s.readInt();
                    gotoTable[i][j] = new int[length][3];
                    for(int k = 0; k < gotoTable[i][j].length; k++)
                    {
                        for(int l = 0; l < 3; l++)
                        {
                            gotoTable[i][j][k][l] = s.readInt();
                        }
                    }
                }
            }

            // read accept
            length = s.readInt();
            accept = new int[length][];
            for(int i = 0; i < accept.length; i++)
            {
                length = s.readInt();
                accept[i] = new int[length];
                for(int j = 0; j < accept[i].length; j++)
                {
                    accept[i][j] = s.readInt();
                }
            }

            s.close();
        }
        catch(Exception e)
        {
            throw new RuntimeException("The file \"lexer.dat\" is either missing or corrupted.");
        }
    }
}
